# Progetti d'esame

Pensate a progetti che privilegino l'hardware (sensori e attuatori, interfacciamento) rispetto al software: cose come app, siti web e altri sistemi "grossi" devono essere solo corollari (e sono /out of scope/ rispetto al corso).

Mi interessa che vi "scontriate" col mondo fisico.

Altra cosa importante è l'applicazione di meccanismi /closed-loop/ cioè con un minimo di feedback.

Parlando con uno di voi a ricevimento è saltato fuori il discorso "prof, io non so stampare in 3D quindi non so come fare col progetto", vorrei tranquillizzarvi: NON serve la stampa 3D, non l'ho mai nominata e non è correlata necessariamente al mondo embedded.
I progetti che mi aspetto di vedere, dal punto di vista costruttivo sono fatti di:
- cartone
- teglie da forno (!), stampi per torte (!)
- scotch/nastro isolante
- fascette
- qualche bullone

## Modalità

Gruppi sono possibili, ma limitatamente a due studenti (oltre si rischia dispersione delle competenze) e il progetto deve essere **corposo** a sufficienza da giustificare il lavoro di entrambi.

Ogni studente o gruppo *deve* dichiararsi (potete aprire una `issue` in questo repo per avviare una discussione prima di depositare la descrizione, OPPURE semplicemente mandarmi una mail con la descrizione) su questa pagina (seguire il template), alla sezione "in itinere".

Template:

	Nome progetto

	Autore: nome cognome

	Descrizione: breve descrizione (hw/sw) del progetto

	Link a repo: creare un repository git (su un server tipo github o gitlab o altro pubblico) e linkarlo qui

	Licenza scelta: (per la scelta consultare ad es. https://www.gnu.org/licenses/licenses.html)
	Attenzione: deve essere una licenza LIBERA, cfr. anche https://www.gnu.org/licenses/license-list.en.html#GPLCompatibleLicenses
	
	Data *indicativa* di presentazione: basta il mese


## Idee/suggerimenti/stimoli

Alcune invero balzane, ma si fa anche per giocare...

* [Rube Goldberg machines project](https://gitlab.di.unimi.it/sistemiembedded/embedded-rube-goldberg)
* Creare nuovi (o vecchi) strumenti di misura digitali, esempio una bilancia a "stadera" che si... autobilancia (sembra un gioco di parole), cioè che sposti il contrappeso in autonomia
* Sperimentare con "encoder ottici" vari (dischi di cartone su cui disegnare pattern da leggere mediante LED + fotosensore)
* Apparecchio di "voto" per pubblico di programmi televisivi
* Telecomando TV programmabile (nel senso di: segue un calendario di programmi su cui piazzare la TV, magari accendendo anche altri sistemi, tipo casse esterne etc.) via MQTT o altro
* Robottini vari che esplorano un ambiente, anche molto banali (tipo con "baffi" a microswitch per saggiare gli ostacoli)
* Piano che si autostabilizza (perpendicolare alla gravità) mediante accelerometri
* Strumento "musicale" (percussioni? o simili, attuate mediante servo/stepper/motore) comandato via MIDI/OSC (quindi integrabile in una "orchestra")
* Ventilatore che si adatta all'umidità della pelle
* Mappare una stanza usando il "time of flight" sensor di ST
* Idem ma usando solo sensori a ultrasuoni
* Robottini <qualcosa>-tropici (e.g., si muovono verso la luce/suono/calore)
* Monopattino elettrico con recupero energia in frenata
* Sensori ambientali non banali: combinare più sensori "banali" per misurare una proprietà di un ambiente. Es. localizzazione indoor di un device, contare persone in un ambiente, ...
* Inseguitore solare (già fatto da uno studente, lo segnalo qui per dare idee ulteriori)
* Integrazione di sensori in sistemi domotici, spiego: oggi esistono molti sistemi (anche liberi, cfr. openHAB e HomeAssistant) di gestione domotica, tali sistemi "parlano" già molti protocolli standard (MQTT, etc.) e sono capaci di interfacciarsi con sensori "standard". Un buon esercizio potrebbe essere quello di realizzare un sensore e renderlo "integrabile" in questi sistemi, cioè dotarlo della capacità di parlare facilmente con tali sistemi, in modo da non dover costringere gli utilizzatori a scrivere ulteriore software, ma solo scrivere un file di configurazione.
* Installazioni (anche interattive) "artistiche": animazioni d'acqua (https://www.youtube.com/watch?v=gusJeslMbLc), luce (https://www.youtube.com/watch?v=KmjP5VwuqBw dal minuto 35 circa, ma anche tutto), suono, etc.
* Usando due sensori a ultrasuoni tenere un braccio comandato da un servo sempre parallelo ad una parete/pavimento
* Bollitore termostatico regolabile (attenzione che serve discreta potenza in questo caso)
* Tenda da sole automatica (misura troppo vento, sensore di luce)
* ...

In generale, tanto per partire e superare il "blocco del maker", almeno: un sensore + un attuatore + controllo feedback (closed loop).



---
---

## Lista progetti (non sono in ordine cronologico)


---
### `Rube Goldberg`

Usabile come "progetto d'esame" (ogni studente propone un modulo)

[repository](https://gitlab.di.unimi.it/sistemiembedded/embedded-rube-goldberg)


---
### Accordatore per chitarra

Autore: Alex Pesenti

Descrizione: Il progetto consiste nella creazione di un accordatore per chitarra, il microfono "ascolta" il suono, il software lo analizza e in base alla nota attuale suonata (dalla chitarra) accende dei led per indicare se la nota:
- é adatta
- è alta
- è bassa

(Ulteriori Informazioni nel repository github)

Link a repo: https://github.com/Alexpese/Progetto_SE

Licenza scelta: GNU - GPL v3.0

Data di presentazione: Luglio 2025





---
### Aiuta fabbro

Autore: Giacomo Castellana

Descrizione: Il progetto "Aiuta Fabbro" consiste in un sistema che monitora la temperatura di vari tipi di acciaio durante il processo di lavorazione e tempra.

Utilizza una termocoppia tipo K per misurare la temperatura, visualizzando i dati su uno schermo OLED e accendendo LED per indicare le diverse fasi (freddo, lavorazione, tempra) in base alla temperatura.
Le fasi dipendono dal metalloo scelto tramite un'encoder rotativo.
In caso di fase di lavorazione un modulo audio segna le martellate date fino alla misurazione successiva.

Ad ogni misurazione manda su un piccolo web-server le informazioni di:

- data e ora
- tipo di metallo
- fase (freddo, lavorazione e tempra)
- in caso di lavorazione il numero di martellate ricevute dal pezzo

Il sistema è basato su una board ESP32.

Link a repo: https://github.com/CasteSoftworks/Aiuta_Fabbro

Licenza scelta: MIT License

Data indicativa di presentazione: Settembre 2025




---
### BUCKSHOT ROULETTE THE TABLETOP GAME

AUTORI: Giuseppe Difilippo, Andrea Benassi

Descrizione: Traspozione del gioco per PC Buckshot Roulette di Mike Kubnika in gioco da tavolo, un gruppo di giocatori da 2 a 4 giocano a una versione di roulette russa ma con un fucile a pompa in cui le munizioni sono mescolate tra vere e a salve. Chiaramente l obiettivo del progetto è quello di portare l’ esperienza del videogioco ma in una versione inerme da tavolo.

Per info più dettagliate sulle meccaniche di gioco consultare la guida "how to play".

Per la componentistica consultare il file BOM

Data di presentazione stimata: Luglio 2025

Link alla repo: https://github.com/giuseppedifilippo/Buckshot-Ruolette



---
### Air Quality
Autore: Alessandro Fascini

Descrizione: Il progetto prevede la realizzazione di un dispositivo in grado di valutare la qualità dell'aria del luogo in cui si trova.
Un possibile utilizzo potrebbe essere il posizionamento in una stanza (per esempio un aula o una sala riunioni) e fornire informazioni ai presenti sulla qualità dell'aria che stanno respirando.
Oltre ad un output visivo (per esempio un LED verde, giallo e rosso), si potrebbe condividere queste informazioni via web e salvarle su un DB esterno.

Componentistica hardware:
- ESP32 Scheda ed elementi basilari
- MQ-135 (Sensore qualità dell'aria)

Link a repo: https://github.com/alessandrofascini/air-quality

Licenza scelta: GNU General Public License v3.0

Data indicativa di presentazione: giugno 2025

---
### Fermentation Station

Autore: Federico Cigada

Descrizione: Il progetto si propone di realizzare una "Fermentation Station" ovvero una cella adibita alla fermentazione/lievitazione di prodotti da forno, che permetta di impostare un obiettivo per temperatura e umidità interna, da mantenere costanti attraverso un feedback loop gestito con la tecnica di controllo PID (proporzionale-integrale-derivativo). Il sistema è gestito da un Elegoo UNO R3, la misurazione di umidità e temperatura viene effettuata con un sensore DHT11. Per modificare l'umidità e la temperatura interna alla cella sono presenti un tappetino riscaldante corporeo controllato da un relay, ed un modulo Groove "Water Atomization" che permette di vaporizzare l'acqua attraverso ultrasuoni. Sono presenti inoltre un display LCD I2C, pulsanti fisici per il controllo e l'impostazione degli obiettivi ed una ventola per rendere uniforme la distribuzione di unidità e temperatura.

Link a repo: https://github.com/zCigus/fermentation-station

Licenza scelta: GNU General Public License v3.0

Data *indicativa* di presentazione: Inizio Marzo 2025

---
### Bilancia da Frigo

Autore: Alessandro Valenti

Descrizione: La bilancia è un oggetto piatto che può alloggiare un Tetrapack  quadrato. Lo strumento sarà in grado di pesare un Tetrapack pieno di liquido come latte, succhi, bianco d'uovo ecc.. sia da 500ml che da 1lt. Una bilancia deve essere attivata con un interruttore e facendo la scansione del QR code sul contenitore o con una etichetta RF incollata al contenitore. Se viene fatta la scansione la bilancia si tara su contenuto e volume, quando viene appoggiato il contenitore calcola il contenuto residuo in base al peso e decide se inviare un messaggio (...da decidere come...) che avverte che il contenitore è quasi vuote e serve acquistarlo nuovamente. Il sistema utilizzerà ESP32, alimentato da una batteria (con un TP4056) e un regolatore di voltaggio. I sensori saranno: sensore di pressione, un lettore RFID (se implementiamo RFID), un lettore/scanner di codici 1D 2D. Verra incluso un interruttore, un tasto per inizializzare e leggere il codice del cartone. Quando il peso del cartone appoggiato scende sotto una soglia pre-impostata viene inviato un messaggio (da decidere come e dove). Il firmware si occupa di registrare la lettura del codice 1D/2D, di calcolare il liquido residuo e di inviare eventualmente i messaggi di avviso.

Link a repo: https://github.com/sandroV1972/sistemi_embedded.git

Licenza scelta: GNU (GPLv3)

Data indicativa di presentazione: giugno 2025

---
###  Sistema di automazione per sala home-theatre

AUTORE: Daniele Colombo

DESCRIZIONE: Il progetto prevede la realizzazione di un sistema automatizzato per una sala home-theatre, utilizzando una Elegoo UNO R3. Il sistema rileva la temperatura, l’umidità e il livello di luce all’interno della stanza. La misurazione di questi fattori viene effettuata tramite un sensore DHT11 per temperatura e umidità e una fotocellula per il livello della luce. Se la temperatura o l’umidità superano una soglia prestabilita, si attiva una ventola per rinfrescare l’ambiente, mentre se la luce è eccessiva, un motore abbassa la tenda per garantire un’illuminazione ottimale.
Di default, il sistema opera in modalità automatica in base ai dati rilevati dai sensori. Tuttavia, tramite telecomando e ricevitore IR, è possibile disattivare la modalità automatica e regolare manualmente la ventola e la tenda.
In questo modo, il sistema garantisce un’esperienza ottimale, adattandosi sia automaticamente alle condizioni della stanza sia permettendo un controllo personalizzato.

LINK REPOSITORY: https://github.com/DanieleColombo98/Arduino-Home-Theatre

LICENZA: GNU General Public License v3.0

DATA INDICATIVA: metà febbraio 2025

---
### Natante a ventole

**Autore:** Luca Corbetta

**Descrizione:** Il progetto prevede lo sviluppo di un sistema che consenta ad un natante di navigare autonomamente o sotto controllo remoto, sfruttando un microcontrollore ESP32. Il sistema si interfaccia con l'utente attraverso un'API REST HTTP, offrendo funzionalità di monitoraggio dei sensori, controllo manuale delle eliche e impostazione di funzioni avanzate come la pianificazione della rotta e funzionalità di navigazione automatica.  

Il progetto consiste nel seguente HW:
1. ESP32  
 Microcontrollore principale che gestisce attuatori, sensori e la connettività Wi-Fi per l'interfaccia HTTP.
2. HMC5883 (Bussola Magnetica)  
 Sensore utilizzato per determinare la direzione magnetica e l'orientamento del natante rispetto al nord magnetico.
3. MPU6050 (Giroscopio e Accelerometro)  
 Sensore a 6 assi per rilevare l'inclinazione, l'accelerazione e la rotazione del natante.
4. NEO 6M (GPS)  
 Modulo GPS per determinare la posizione geografica in tempo reale.
5. Driver per 6 Eliche  
 Circuito driver che consente il controllo individuale delle sei eliche del natante.

**Link Repo:**  https://gitlab.com/HackLabCormano/CapitanoHackLab  

**Licenza scelta:** GNU GPLv3

---
### ESP32 Motion Tracking System

Autore: Alessandro R.

Descrizione: Questo progetto utilizza una ESP32 Camera con un motore passo-passo ed un modulo laser per creare un sistema di tracciamento.
Tramite apposita configurazione, è possibile inoltre abilitare il webserver per osservare in tempo reale il flusso catturato dalla camera.

Link a repo: https://github.com/FriendlyWizard23/ESP32-motion-tracking-system

Licenza scelta: GNU GPL v3.0

Data *indicativa* di presentazione: Gennaio 2025


---
### Controllore climatizzatore

Autore: Pietro Colombo

Descrizione: Il progetto consiste in un controllore per climatizzatore, verso il quale vi è comunicazione unidirezionale mediante LED IR.
È possibile gestire il setpoint (temperatura ambiente da raggiungere) e la velocità del ventilatore del condizionatore, oltre alla modalità di funzionamento (Caldo/Freddo/Dehum/Fan). Questo avviene scorrendo un menù su LCD 1602 mediante encoder.
Il controllore dispone anche di un sensore di temperatura, utilizzato per accendere la macchina se la temperatura ambiente dovesse scendere sotto i 10 gradi Celsius o superare i 30. Infine, è dotato di un sensore di presenza mmWave (es. LD2410b) per l'accensione e spegnimento automatico del climatizzatore in base alla presenza o meno nella stanza di persone. Il tutto viene gestito da esp8266.

Link a repo: https://github.com/CPietro/ac_controller

Licenza scelta: GNU General Public License v3.0

Data *indicativa* di presentazione: metà Dicembre '24




---
### IR tracker

Autore: Lorenzo Lucca

Descrizione:
il progetto mira alla creazione di un sistema che permetta ad una webcam/microfono di tracciare un oggetto, montandolo sopra ad una base girevole.
per riuscere in questo sono stati utilizzati sensori ed emettitori infrarossi in modo tale che non sia di disturbo per l'ambiente non essendo visibili. 
l'hardware coinvolto è:

- arduino uno
- servomotore
- 6 fototransistor IR
- 1 LED IR
- alimentatore e regolatore di tensione

per la parte software invece si basa sul trovare il sensore con la minima lettura (quello quindi che punta maggiormente verso la sorgente) e girare la base verso quel sensore, in modo da centrarlo.

Link a repo: https://github.com/brainstewdev/ir-tracker

Licenza scelta: GNU General Public License v3

Data *indicativa* di presentazione: novembre 2024

---
### Chessbot

Autore: Alessandro Luccarini (03397A)

Descrizione: Il progetto consiste nella realizzazione di una scacchiera intelligente e interattiva: il giocatore inizialmente potrà scegliere se giocare contro il computer (ho scelto Stockfish come motore di scacchi) la cui "esperienza" potrà essere scelta prima della partita (8 livelli di difficoltà) oppure online contro altri giocatori.
Sotto la superficie di gioco sarà presente una griglia dove passeranno i vari cavi e delle stringhe di led, grazie ai quali la scacchiera potrà indicare le mosse migliori da effettuare in uno specifico stato della partita (grazie al tasto "hint") oppure mosse proibite, scacchi e scacco matto.
I giocatori potranno scegliere la mossa desiderata attraverso una pulsantiera con la quale indicheranno la posizione iniziale e finale del pezzo che desiderano muovere, in caso la mossa non fosse valida la scacchiera lo segnalerà al giocatore.
Gli stati della partita sono mostrati attraverso uno schermo OLED.
Le componenti fisiche della scacchiera saranno modellate e stampate in 3D (probabilmente in PLA).

Componenti e strumenti previsti:
-Arduino Uno R3
-Raspberry Pi B+
-Stringa Led Neopixels da un metro
-10 Pulsanti 6x5mm
-Traslatori di livello logico (LLS)
-Schermo OLED
-Blocchi per il cablaggio
-Cavi
-Bulloni e viti
-USB femmina
-Materiale per la stampa 3D (PLA e altri).


Link a repo: https://github.com/SeriousAle/ChessBot.git

Licenza scelta: GNU GENERAL PUBLIC LICENSE V3

Data di presentazione: fine Settembre/inizio Ottobre





---
### ESP32 Battery Collector Box

Autore: Andrea Carozzi

Descrizione: 
Il progetto consiste in una scatola per il raccoglimento di pile usate. I due cavetti presenti nella parte frontale vengono posti ai poli di una batteria da testare e in base al voltaggio rilevato possono avvenire due cose:
- se la pila è ancora abbastanza carica viene semplicemente visualizzato sul display LCD il tipo di batteria;
- se la pila è scarica, un motore servo apre uno sportello nella scatola nel quale inserire la pila. Esso si richiude automaticamente dopo 10 secondi oppure quando l'inserimento della pila viene rilevato da un sensore all'interno della scatola.

Link a repo: https://github.com/carozziandrea/ESP32-Battery-Collection-Box

Licenza scelta: MIT

Data indicativa di presentazione: Agosto 2024


---
### V-TAIL-PID

Autore: Marco Caneva

Descrizione: Il progetto V-Tail-PID è un sistema di controllo automatico del beccheggio e del rollio progettato per aerei, alianti e droni, utilizzando un controllo a loop chiuso. 
Il progetto impiega un accelerometro e due servomotori per azionare le superfici di controllo, avvalendosi di una libreria per il controllo PID e di librerie per il controllo di accelerometro e servomotori.
Il programma rileva l'assetto del velivolo e regola l'angolo di incidenza degli equilibratori per compensare a deviazioni.

Link a repo: https://github.com/marcocanevadev/V-TAIL-PID

Licenza scelta: GNU GPL Version 3

Data di presentazione: luglio 2024



---
### Delivery Sistem without Delivery

Autore: Federico Tabellini

Descrizione:
Un piccolo robottino che si muove in linea retta fino a giungere in prossimità di punti richiesti (stazioni).
La da raggiungere viene fornita tramite mqtt dalla "Casa Base", una stazione che si occupa di ricevere le richieste e trasmetterle al robottino una volta che questo arriva in casa base al termine d una precedente richiesta.
Per non dover controllare tutte le volte su tutta la linea la posizione della stazione, il robottino effettuerà periodicamente una discovery, in cui memorizzerà tutte le stazioni e la loro posizione rispetto alla Casa Base.
L'identificazione dei punti di fermata avviene tramite lettura di codici RFID.
(N.B. without delivery perchè non viene consegnato nulla fisicamente)

Link a repo: https://gitlab.di.unimi.it/federico.tabellini1/progetto-embedded

Licenza scelta: GNU-GPLv3

Data indicativa di presentazione: Giugno 2024

---
### FelineFoodHub - Distributore di croccantini

Autore: Michele Restuccia

Descrizione:
- hw: led rgb, bottone, sensore ultrasuoni, servomotore, sensore per pesare.
- sf: distributore che, all'esaurimento del cibo all'interno della ciotola, automaticamente rilasci i croccantini. Con anche il controllo (tramite ultrasuoni) del livello di cibo all'interno del contenitore.

Link a repo: https://github.com/RestucciaMichele/FelineFoodHub

Licenza scelta: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data *indicativa* di presentazione: fine maggio



---
### Sistema di controllo distanza ad ultrasuoni

Autore: Federico volpe

Descrizione: Il progetto prevede l'utilizzo di un carrello per stampante programmato in modo tale che il sensore posizionato al di sopra possa trovarsi sempre ad una distanza costante da un ostacolo che gli si pone davanti

Link a repo: https://github.com/federicovolpe/telescopic

Licenza scelta: GNU GPL 2.0

Data indicativa: Maggio 2024



---
### smartCopertura

Autore: Antonio Mazzaccaro

Descrizione: il progetto consiste nella realizzazione di un sistema di copertura in grado di riconoscere e azionarsi a fronte eventi atmosferici avversi intensi (in questo prototipo si tengono conto della grandine e della pioggia di cenere vulcanica), facendo scendere una sorta di "saracinesca" resistente.
In un'epoca in cui i fenomeni meteorologici estremi sono in netto aumento questo sistema troverebbe molto impiego ad esempio nella protezione di pannelli solari, oppure nell'agricoltura (le grandinate forti distruggono tranquillamente le coperture tradizionali delle serre).
Il riconoscimento di tali fenomeni avversi passa per un'analisi dell'audio ambientale, tramite un microfono, e dalla raccolta in un piccolo recipiente dei chicchi di grandine (o del materiale vulcanico), tramite un sensore di pressione che ne segnala la presenza, mentre la chiusura della "saracinesca" si compie azionando un motore.
Alla fine della grandinata i chicchi presenti nel recipiente (opportunamente bucato, simile a uno scolapasta) vengono scaldati con una resistenza per scioglierli in base alla loro temperatura (feedback closed-loop), mentre, in caso di una pioggia di cenere vulcanica, chiaramente non si possono sciogliere i detriti accumulati: questo sarebbe l'unico caso in cui, nella realtà, si renderebbe necessario l'intervento umano per poter riprendere a funzionare correttamente.
Il sistema acquisisce anche informazioni sul meteo attuale dalla rete, per cercare, in qualche modo, di ridurre i falsi-positivi e i falsi-negativi.

Link a repo: https://github.com/antonioMazzaccaro/smartCopertura_sisemb

Licenza scelta: GNU General Public License version 3 (GPLv3)

Data *indicativa* di presentazione: entro giugno




---
### Search and destroy bomb

Autori: Alberto Malagamba, Riti Armani Islam

Descrizione: Il progetto è composto da una bomba (finta) ed un detonatore (sempre finto). La bomba esplode dopo essere stata armata e trascorsi alcuni minuti (da definire) oppure se rileva un movimento dopo essere stata innescata. Per rendere realistica l'esplosione della bomba utilizziamo un buzzer che emetterà un suono. Il detonatore disinnesca la bomba attaccandosi ad essa dopo un certo delay, in un modo ancora da definire.

Link a repo: https://gitlab.di.unimi.it/alberto.malagamba/progetto-sistemi-embedded

Licenza scelta: GNU General Public Licence version 3(Gpl 3)

Data indicativa di presentazione: fine febbraio



---
### Radar guided laser pointer

Autore: Aleksandar Krumov Manasiev

Descrizione:
- HW: esp8266 1x servo motori 2x sensore ultrasonico 1x laser rosso 1x
- SW: questo proggetto consiste nel creare un "radar" usando il sensore ultrasonico attaccato ad un servo motore che gira in un range di angoli. Quando il radar trova un oggetto che si avvicina troppo (per esempio piu vicino di 50 cm) questo si fermera' e puntera' il laser che e' attaccato al secondo servo motore all'oggetto troppo vicino. Se l'oggetto sparisce dal radar cerchera' prima nella zona vicina all'oggetto per assicurarsi che non si e' leggermente spostato e poi tornera' a fare il suo scan normale.

Link a repo: https://github.com/AleksandarMv/ardiuino_project_radar_laser

Licenza scelta: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data indicativa di presentazione: febbraio 2024






---
### SmartDrinks

Autore: Alessandro Bordonali

Descrizione: Il progetto consiste in un dispositivo che prepara drink autonomamente.
Il sistema è integrato con Home Assistant per facilitare la selezione del drink che si vuole erogare e renderlo un vero e proprio dispositivo smart. Il sensore ultrasuoni garantisce che l'erogazione avvenga solo quando è presente un bicchiere.
Utilizza i seguenti componenti hardware:

- 1 x ESP8266 per gestire la connettività e il controllo.
- 4 x pompe a diaframma R285 12V per l'erogazione degli ingredienti.
- 2 x L298N per il controllo dei motori.
- 1 x HC-SR04 per rilevare la presenza di un bicchiere.
- 1 x Power Supply 12V per l'alimentazione.
- 1 x LM2596 per regolare la tensione a 5V.

Link a repo: https://github.com/alek4/SmartDrinks

Licenza scelta: GNU General Public License version 3 (GPLv3)

Data indicativa di presentazione: Novembre 2023

---
### TERMOSTATO IOT

Autore: Andrea Tambani

Descrizione: termostato IOT realizzato con esp8266 per il controllo della temperatura e la programmazione del riscaldamento in ambiente domestico. Sviluppato con ESP8266 RTOS SDK, l'ambiente open source di sviluppo ufficiale di Espressif, utilizzando FreeRTOS e il linguaggio C. Consente di impostare la temperatura target desiderata, visualizzare i valori di temperatura e umidità in tempo reale e impostare una programmazione settimanale. Il controllo del termostato avviene tramite il protocollo mqtt. Il repository contiene oltre al file main anche due librerie autoprodotte; una per la lettura dei sensori di tipo DHT e una per la gestione degli intervalli temporali settimanali di accensione del riscaldamento. Componenti: esp8266, sensore DHT11 o DHT22 (am2302),RELAY generico funzionante a 3.3V

Link a repo: https://gitlab.di.unimi.it/andrea.tambani/termostato_iot

Licenza scelta: MIT

Data di presentazione: novembre 2023


---
### Conta Monete

Autore: Martino Leone

Descrizione: il progetto consiste in un Contatore di monete in valuta euro.
Lo scopo di questo progetto è realizzare una macchina in grado di contare e dividere le monete dell'utente suddivvidendole per tagli e restituire a schermo il valore complessivo delle monete inserite.

Lista Materiale:
- 1 x Arduino Nano
- 5 x Angeek KY-033 - Modulo Sensore TCRT5000
- 1 x Freenove I2C LCD 1602 Module, New Type IIC TWI Serial 16x2 Display

Link a repo: https://github.com/MartinWWDC/SitemiEmbedded

Licenza scelta:GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data indicativa di presentazione: settembre 2023


---
### Smart Bridge

Autore: Alessandro Belfiore

Descrizione: la proposta di progetto si focalizza sull’ideazione e la conseguente costruzione di un ponte intelligente situato in una località marittima, la cui funzione primaria è la gestione efficiente del traffico marittimo e stradale nella suddetta area, con l’obiettivo di rendere più scorrevole la circolazione. Il ponte possiede la funzionalità di agire in autonomia sui propri processi di apertura e chiusura, sulla base dell’eventuale presenza di imbarcazioni in attesa di attraversarlo e la rispettiva quantità, con lo scopo di adattarsi alle caratteristiche del traffico in tempo reale. Ad esempio, nel caso in cui non ci fossero imbarcazioni in attesa, il ponte rimarrebbe chiuso, consentendo così il passaggio su strada ininterrottamente. D’altra parte, se il numero di imbarcazioni in attesa superasse una soglia precedentemente stabilita, il ponte si aprirebbe per far fluire il traffico marittimo. Inoltre, il tempo in cui il ponte rimane aperto è determinato dal numero di imbarcazioni che attendono di attraversalo: ad un’unica barca in attesa corrisponderà una durata di apertura stabilita in precedenza, mentre se la quantità di barche aumenta la suddetta durata aumenterà rispettivamente. In aggiunta, per agevolare ulteriormente lo scorrimento del traffico, il ponte considera anche le condizioni delle maree in tempo reale. Quest’ultimo, infatti, è in grado di memorizzare l’altezza dell’attuale livello dell'acqua per valutare lo spazio che intercorre fra quest’ultima e il ponte chiuso, con l’obiettivo di permettere alle imbarcazioni di poterlo oltrepassare in base alle proprie dimensioni, senza che questo si apra e quindi senza far attendere inutilmente i veicoli soprastanti. A tale scopo, per comunicare a coloro che attraversano il ponte via mare le raccomandazioni relative all’altezza accettabile per permettere l’attraversamento in sicurezza, viene utilizzato un display posto sul ponte. Osserviamo che durante le basse maree il passaggio è consentito a tutte le imbarcazioni, nel rispetto delle condizioni di altezza relative all’attraversamento precedentemente descritte. All’aumentare del livello dell'acqua, gradualmente, tramite il display viene sconsigliato il passaggio alle imbarcazioni più alte, fino al raggiungimento della condizione di alta marea che vieta il passaggio a qualunque tipo di imbarcazione.

Link a repo: https://github.com/AlessandroBelfiore257/progettoSistemiEmbedded.git

Licenza scelta: GNU General Public License v3.0

Data indicativa di presentazione: Settembre 2023



---
### Arduino-security-radar
Autore: Lapo Ciampi

Descrizione:
- Arduino UNO
- Buzzer
- Stepper Motor
- Motor Driver
- 2 finecorsa
- cavi
- Condensatore
  
Torretta che, tramite uno stepper e un sensore a ultra suoni, sonda gli oggetti di fronte a se. In caso di avvicinamento anomalo genera un allarme tramite il buzzer.

Link al repo: https://github.com/lapociampi/Arduino-security-radar/

- Licenza: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

- Data presentazione: Luglio 2023



---
### Amplificatorino

Autore: Riccardo Cataldi

Descrizione: Questo progetto Arduino è un amplificatore audio per chitarra che utilizza un microcontrollore Arduino UNO per misurare la frequenza di un segnale audio .

Link a repo: https://github.com/RiccardoCataldi/AmplificatorIno.git

Licenza scelta: Codice e schema hardware disponibili sotto licenza GNU-GPLv3.

Data di presentazione: Luglio


---
### Abanti-module

Autore: Andrea Banti

Descrizione: il mio progetto consiste nella realizzazione di un modulo di una Rube Goldberg machine utilizzando un esp32.

Si prende come input la luce di un led tramite una fotoresistenza, nel mentre si utilizza un potenziometro per configurare una posizione visualizzata tramite un led a barra.
Una volta ricevuta la luce si prende in input la distanza dalla propria mano usando un sensore a ultrasuoni, visualizzandola a sua volta tramite il led a barra.
Infine, se la posizione data dal potenziometro e quella del sensore a ultrasuoni sono relativamente simili, si attiva l'output che consiste nel muovere un servo
con un braccetto per attivare un microswitch.

Link a repo: https://gitlab.di.unimi.it/sistemiembedded/embedded-rube-goldberg/-/tree/abanti-module/abanti-module

Licenza scelta: AGPL
      
Data *indicativa* di presentazione: luglio


---
### Mod.RubeG_wheels

Autore: Alessandro Riva

Descrizione: modulo realizzato con Arduino uno, servo motore, sensore hc-sr04, e varie.
Il modulo, grazie all'input preso tramite microswitch, si aziona.
Il servo lascia cadere la macchinina che arrivando a destinazione viene rilevata, facendo accedere delle luci led e schiacciando un altro switch che farà partire il modulo seguente.

Link: https://gitlab.di.unimi.it/sistemiembedded/embedded-rube-goldberg/-/tree/ariva-module/ariva-module

Licenza: GPLv3


---
### CanINO

Autore: Marco Pasini

Descrizione: Dosatore automatico per animali domestici

Link a repo: https://github.com/Pasinim/CanINO/

Licenza scelta: GNU General Public License v3.0

Data indicativa di presentazione: Settembre

---
### wardriving-device

Autore: Lorenzo Lavizzari

Componenti:
-esp32
-GPS NEO6M mini
-schermo oled
-pulsanti
-cavetti vari

Descrizione:
creare un dispositivo in grado di mappare le reti wifi e fornirne ssid, potenza del segnale e la posizione sul display , i pulsanti servono per lo scorrimento delle varie reti disponibili, selezionando una rete fornisce la distanza dal router stimata in base alla potenza del segnale.

link repo: https://github.com/Lavizzzz/wardriving-device

Licenza: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data di presentazione: Luglio 2023

Lavizzari Lorenzo



---
### SuperSmartSafe

**Autore**: Jacopo Martinoli

**Descrizione**: SuperSmartSafe è una cassaforte a serratura elettronica con sistema antifurto integrato; infatti, oltre a proteggere con una combinazione numerica i propri effetti, controlla, tramite vari sensori, se stanno venendo eseguiti tentavi di forzatura e/o furto della cassaforte. In tal caso verrà avviato un allarme che segnalerà il tentativo.

**Link a repo**: [SuperSmartSafe Repository](https://gitlab.di.unimi.it/jacopo.martinoli/supersmartsafe)

**Licenza scelta**: GPLv3 or later

**Data indicativa di presentazione**: Luglio

---
### Dispenser d'acqua automatico

**Autore**: Aguirre Pablo

**Descrizione**: il progetto consiste in un dispenser automatico di acqua (da scrivania) con due modalità:
1. Modalità "Ricorda di bere": il sistema rifornisce automaticamente un bicchiere d'acqua ad intervalli regolari. Ogni
volta che l'utente beve, il sistema rileva l'azione utilizzando un sensore di prossimità e incrementa un punteggio.
Inoltre, potrebbe essere possibile mantenere uno storico della quantità d'acqua bevuta.
2. Modalità di rifornimento "Normale": quando viene posizionato un bicchiere, il sistema lo rifornisce di acqua.
Per visualizzare il punteggio e la modalità, verrà utilizzato un display LCD.

**Link a repo**: [https://github.com/pablo-aguirre/progetto-sistemi-embedded.git] (https://github.com/pablo-aguirre/progetto-sistemi-embedded.git)

**Licenza scelta**: GPLv3

**Data indicativa di presentazione**: fine luglio

---
### Morr-ino cinese

Autori: Michele Bolis e Andrea Galliano  

Descrizione: il nostro progetto consiste nel campionamento dei segni della morra cinese mediante l'utilizzo di fotoresistenze e, a seguito di ciò, la riproduzione della mossa attraverso il movimento delle dita della mano meccanica. Tale movimento viene attuato mediante l'utilizzo di un servomotore per ogni dito.

Componenti principali:

- ELEGOO UNO R3
- Fotoresistenze
- Servomotori  
- Mano "artigianale"

Repository: https://github.com/michelebolis/Morr-inoCinese

Licenza: GNU General Public License v3.0  

Data _indicativa_ del progetto: fine luglio 2023



---
### Smart fan

Autore: Alessandro Bortolin

Descrizione: il progetto consiste in un ventilatore che si orienta in modo da raffreddare la zona più calda della stanza. Il sensore amg8833 rileva la temperatura della stanza con una risoluzione di 8x8 pixel, quando il pixel più caldo non è al centro, il servomotore su cui è montato il ventilatore si orienta in modo da puntare verso il punto più caldo. Inoltre la velocità del ventilatore si adatta in base alla temperatura rilevata.

Componenti principali:
- ESP32
- Sensore amg8833
- Servomotore
- Ventola da 5V

Repository: https://github.com/bortoz/smart-fan

Licenza: Apache-2.0

Data indicativa di presentazione: fine luglio

---

### lukeg-module

Autore: Luca Ginex

Descrizione: il mio progetto consiste nella realizzazione di un modulo di una Rube Goldberg machine. E' composto da un esp8266 e un arduino che comunicano mediante una seriale realizzata in software (SoftwareSerial).

lukeg-module utilizza come input l'attivazione di un microswitch; all'interno del modulo viene eseguito il riempimento di un bicchiere da un serbatoio d'acqua mediante una pompa peristaltica. Il meccanismo di riempimento è un closed-loop (con feedback). 
In base al livello dell'acqua nel bicchiere, un semaforo a tre led (verde, giallo e rosso) cambierà colore.

Oltre al colore dei led, il modulo è dotato di un buzzer passivo che viene usato per segnalare la necessità di riempire il bicchiere, oppure per segnalare che l'acqua ha raggiunto il livello desiderato. Dopo un timeout di 10 secondi, il modulo torna allo stato iniziale, svuotando l'acqua contenuta nel bicchiere dentro il serbatoio. 
esp8266 usa MQTT per notificare lo stato del modulo, seguendo la macchina a stati presente nel repo.

Link a repo: https://gitlab.di.unimi.it/sistemiembedded/embedded-rube-goldberg/-/tree/lukeg-module/lukeg-module

Licenza scelta: AGPL
	
Data *indicativa* di presentazione: luglio

---
### Macchinino

Autore: Marco Colangelo

Descrizione: il mio progetto consisterà nella costruzione di una macchinina radiocomandata (comunicazione mediante modulo bluetooth HC-06) tramite un'app su telefono Android. La macchinina potrà funzionare mediante due modalità (selezionabili tramite l'app): 
1. controllo da parte dell'utente, come una normale macchina radiocomandata
2. guida autonoma: tramite un sensore ad ultrasuoni, la macchina è in grado di muoversi in autonomia nell'ambiente e, nel caso davanti ad essa ci sia un ostacolo, la macchina si ferma e decide dove gli conviene andare, controllando se intorno ad essa c'è una strada senza ostacoli. 

Link a repo: https://github.com/MarcoColan01/Sistemi-Embedded.git

Licenza scelta: GPLv3

Data *indicativa* di presentazione: metà/fine luglio.




---
### Solar tracker

Autore: Daniele Ceribelli, Marco Aceti

Descrizione:
Il progetto consiste in una centralina di controllo per un inseguitore solare 
avanzato avente le seguenti funzionalità:
- __inseguire il Sole__: tramite l'ausilio di 4 fotoresistori, la centralina 
determina l'eventuale mossa dei motori per massimizzare l'efficienza 
dell'impianto fotovoltaico;
- __return-to-home automatico__: in caso di una situazione di scarsa 
luminosità (notte) o forte vento (rilevato mediante un anemometro analogico) 
la centralina posiziona il pannello solare in una posizione di sicurezza;
- __duplice modalità di funzionamento__: grazie all'uso del modulo display LED 
digitale TM1638, l'utente può selezionare due modalità distinte: _automatica_ 
(modalità predefinita) in cui la centralina agisce autonomamente o _manuale_ 
dove il movimento dei motori è determinato dalla pressione dei tasti sulla 
pulsantiera;
- __monitoraggio del funzionamento tramite MQTT__: la centralina &mdash; 
mediante la comunicazione tra i moduli Arduino Nano e ESP-01 &mdash; comunica 
a un server MQTT i valori dei sensori a fini di _quality-assurance_. 
Abbiamo infatti mostrato la possibilità di utilizzare applicazioni esterne 
come Prometheus e Grafana per creare visualizzazioni dei dati ricevuti 
consentendo una rapida rilevazione di eventuali problematiche garantendo un 
monitoraggio adeguato;
- __modello a loop chiuso__: per mezzo dell'utilizzo di due finecorsa e di un 
particolare circuito di retroazione, la centralina è in grado di pianificare 
le mosse successive anche in base allo stato reale del pannello.

Link a repo: https://gitlab.di.unimi.it/aceti-ceribelli/progetto-sistemi-embedded/relazione

Licenza scelta: MIT

Data *indicativa* di presentazione: intorno al 27 giugno




---
### Umidificatore Smart

**Autore**: Davide Carniselli

**Descrizione**: Umidificatore Smart, con due modalità di funzionamento: *intermittenza* e *automatica*.

Nella modalità ad intermizzenta, l'umidificatore atomizzerà l'acqua presente nel *serbatoio* con un ritmo costante, nella modalità automatica l'umidificatore si servirà di vari sensori di *temperatura* e di *umidità* per acquisire dati dall'ambiente e atomizzare l'acqua solo quando necessario.

All'interno del serbatoio sarà presente un *water level sensor* per bloccare l'atomizzazione e notificare l'utente in caso di mancanza d'acqua.

Sarà presente un *display oled* sul quale verranno visualizzate le varie informazioni, come umidità e temperatura dell'ambiente.

Le varie informazioni che si andranno a generare saranno anche riportate in MQTT.

**Link a repo**: https://github.com/GitCass01/umidificatore-smart

**Licenza scelta**: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

**Data *indicativa* di presentazione**: fine Giugno





---
### Robot pulitore

Autore: Gabriele Bagnasco

**Descrizione**: Il progetto consiste nella realizzazione di un robot in grado di muoversi per la stanza aggirando gli ostacoli. Il robot riesce a pulire il pavimento grazie ad una spazzola autocostruita installata sotto di esso. Il movimento del robot è garantito da due ruote motorizzate mentre la capacità di aggirare gli ostacoli viene affidata ad un sensore ad ultrasuoni installato sopra ad un servo. Tutto il sistema viene gestito e programmato con un Arduino Uno R3.

Elenco componenti utilizzati all'interno del progetto:
1. Scatola di cartone
1. Compensato
1. 2 motori DC con ruote
1. Spazzola (autocostruita)
1. Motore DC con pulegge
1. Arduino uno R3
1. Sensore ultrasuoni HC-SR04
1. Motor driver L293D
1. Servo SG-90
1. Breadbord 830 punti
1. Resistenza 100KOhm
1. Pulsante
1. Interruttore
1. Powerbank
1. Cavi vari, viteria e colla

Link a repo: https://github.com/gabrielebagnasco/Robot-pulitore

Licenza scelta: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data indicativa di presentazione: Luglio 2023



---
### Ciclocomputerino

Autore: Simone Spreafico

**Descrizione**:
Il progetto proposto vuole realizzare un ciclocomputer con un microcontrollore che visualizzi su un display lcd vari valori relativi ad un giro di allenamento in bicicletta, come la velocità della bici, il tempo trascorso dall'inizio dell'allenamento e la distanza percorsa. Il ciclocomputer è provvisto anche di un accelerometro che rileva il cambio di pendenza del percorso e di un sensore di temperatura che rileva temperaturà e umidità dell'ambiente in cui ci si trova.

Elenco componenti utilizzati all'interno del progetto:
1. Elegoo UNO R3
1. Display LCD 1602
1. Sensore Linear Hall
1. Modulo GY-521 (accelerometro)
1. Sensore DHT11 (temperatura e umidità)
1. Potenziometro da 10 kΩ
1. Breadboard
1. Pulsanti
1. Resistenze
1. Cavetti dupont

Link a repo: https://github.com/sprea/ciclocomputerino

Licenza scelta: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data indicativa di presentazione: Luglio 2023



---
### Food Dispenser

Autore: Amir Sarikh

**Descrizione**:
Il progetto consiste in un dispenser di cibo per animali realizzato con Arduino. Utilizza un sensore ad ultrasuoni per rilevare la presenza dell'animale e attivare il rilascio del cibo. Il cibo può essere erogato sia tramite un bottone che manualmente, oppure in base a un timer preimpostato. Un servo motore controlla l'apertura e la chiusura della ciotola che contiene il cibo. Un display LCD mostra il tempo rimanente prima della prossima erogazione di cibo. In sintesi, il dispositivo fornisce cibo automaticamente o su richiesta, con il timer visualizzato sul display per un facile monitoraggio.
In sintesi, il progetto del dispenser di cibo basato su Arduino offre un'automazione affidabile e personalizzabile per l'alimentazione degli animali domestici, semplificando la vita dei proprietari e garantendo che gli animali ricevono cibo in modo regolare e appropriato.

Link a repo: https://github.com/amirsarikh/Embedded-Project

Licenza scelta: GNU General Public License v3.0

Data *indicativa* di presentazione: inizio giugno 2023




---
### Semenzaio smart

**Autori**: Alberto Rizzi, Lorenzo Marcolli

**Descrizione**: il progetto prevede la realizzazione di un semenzaio smart, in grado di far crescere in ambiente controllato le piante di ortaggi da portare successivamente in terra piena.

I parametri da monitorare sono le *ore di luce*, *temperatura* e *umidità*. Una volta impostati i valori corretti, attraverso degli attuatori, tramite lampade riscaldanti, ventole e nubulizzatori d'acqua è possibile controllare l'ambiente.

In aggiunta, si vorrebbe poter comandare via Wi-Fi tramite WebApp tutti i parametri da impostare. Per esempio ore di luce giornaliere, umidità che deve essere mantenuta e temperatura.


*Componenti hardware* (in aggiornamento):
- Arduino / ESP32
- Sensore di temperatura e umidità (DHT11)
- Sensore di luminosità
- Relè 220v
- Lampada riscaldante
- Pompa 220v per nebulizzare acqua
- Ventole per muovere aria

**Link a repo**: https://github.com/albertorizzi/semenzaio-smart

**Licenza scelta**: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

**Data *indicativa* di presentazione**: settembre 2023






---
### Serra idroponica
Autore: Nicola Cremonesi

 

Descrizione: Realizzazione di una Serra Idroponica di tipo NFT (Nutrient Film Technique). Questa tecnica si basa sul continuo approvvigionamento e riciclo d'acqua alle radici delle piante.

Una pompa pesca l'acqua dal serbatoio e la porta in un tubo dove le piante sono sospese. L'acqua è ossigenata da una pompa ad aria.

Lo stato dell'acqua è monitorato da un sensore per il PH ed uno per l'EC. L'ambiente è controllato da sensori di temperatura e umidità.

Le piante ricevono la luce da un LED a spettro completo. Il flusso dell'acqua è verificato costantemente per evitare, che in caso di guasto le piante secchino.

Per diminuire la temperatura è previsto un sistema di aereazione.

L'utente può decidere i parametri con i quali attivare i diversi sistemi. Per esempio può decidere in base alla tipologia della pianta di accendere e spegnere la luce per determinati periodi in modo da soddisfare le sue esigenze. Oppure impostare dei valori soglia per ricevere una notifica.

I dati della serra vengono inviati tramite il protocollo MQTT, l'utente può controllare lo stato della serra in ogni momento.

 

Link a repo: https://github.com/Speed224/serra-idroponica-NFT.git

 

Licenza scelta:  GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

 

Data *indicativa* di presentazione: giugno 2023


---
### DIY Alarm Clock

Autore: Fabio Palazzesi

Descrizione: 

L'obbiettivo principale di questo progetto è far si che la mattina le persone si sveglino con il minimo sforzo e senza irritazione: chi di voi non riesce mai a trovare il pulsante per interrompere la sveglia ed è costretto a smanettare finché non lo trova per far smettere quel fastidioso suono?
Il mio progetto prevede dunque di realizzare un piccolo orologio sveglia che mette a disposizione dei modi alternativi e simpatici per fermare l'allarme: basta un semplice sfioramento con la mano o uno scuotimento.
Ovviamente come qualsiasi sveglia è permesso consultare l'orario, che in questo caso viene mantenuto dal microcontrollore ESP32 e sincronizzato periodicamente con quello dei server su Internet tramite protocollo NTP in Wifi (che viene attivato solo all'occorrenza).
In modo da essere il più portabile possibile il tutto è alimentato tramite una batteria che si può ricaricare attraverso un normale cavo usb. 
Attraverso un piccolo display OLED vengono mostrate ora (con i secondi), giorno della settimana e data, insieme alla temperatura dell'ambiente, allo stato dell'allarme (attivo/non attivo) e alla percentuali di carica residua della batteria.
Allo scattare della sveglia viene attivato un LED blu che inizia a lampeggiare e un cicalino (piezo buzzer) che inizia a suonare.
Come già citato sopra, l'allarme può essere disattivato in tre modi:
- sfiorando la sveglia, in questo caso si rileva la variazione di luminosità dovuta al passaggio della mano attraverso una fotoresistenza;
- scuotendo la sveglia, a questo proposito si rileva le vibrazioni attraverso l'utilizzo di un tilt ball switch;
- premendo manualmente un pulsante.
Per impostare la sveglia, abilitarla o disattivarla sono disponibili due pulsanti contrassegnati con le specifiche funzioni.

Il codice sorgente è stato organizzato sotto forma di funzioni ed oggetti, la maggior parte del lavoro è stato fatto utilizzando le funzioni messe a disposizione da Arduino Wiring e Arduino core per Esp32, tuttavia è stato necessario utilizzare delle librerie esterne per pilotare il display OLED e gestire i vari task attivati periodicamente attraverso uno scheduler. In fatti si è scelto di organizzare lo sketch in microattività che vengono eseguite periodicamente in una sorta di multiprogrammazione cooperativa. 
Per rilevare la pressione dei pulsanti e il movimento del tilt ball switch si utilizzano degli interrupt; mentre si è scelto di effettuare pooling dei pulsanti quando si entra nelle impostazioni dell'allarme, così come per individuare il passaggio della mano con la fotoresistenza.
Nel codice vengono inoltre messe a disposizione delle funzioni per autocalibrare la sensoristica presente sulla sveglia (ad eccezione del sensore di temperatura che va calibrato manualmente).


L'elenco dei componenti hardware utilizzati è il seguente:
- 1 Board Lolin32 v1.0.0 che monta il microcontrollore ESP32-WROOM32 e mette a disposizione un circuito di ricarica e gestione della batteria (con connettore)
- 1 Batteria LiPo da 3,7v 1500mAh
- 1 Display OLED SSD1306 da 0.96 pollici con dimensioni di 128x64 pixel e comandato tramite protocollo I2C
- 1 Fotoresistenza (LDR) con resistenza variabile fra 50kohm al buio e 500ohm alla luce piena
- 1 Tilt Ball Switch 
- 1 Sensore di temperatura analogico LM335Z con precisione di 10mV/K (grado Kelvin)
- 3 Pulsantini 
- 1 Piezo buzzer (anche detto cicalino passivo) comandato tramite PWM per emettere note musicali
- 1 LED blu comandato tramite PWM per lampeggiare con effetto dissolvenza
- 1 Potenziometro da 10kΩ per calibrare il sensore di temperatura
- 1 Resistenza da 5kΩ, utilizzata come partitore resistivo insieme alla fotoresistenza
- 2 Resistenze da 330Ω, una per limitare la corrente assorbita dal LED  e l'altra per far funzionare il sensore di temperatura
- 1 Resistenza da 200kΩ per leggere la tensione della batteria e quindi dedurne la sua capacità residua
- 1 Resistenza da 500kΩ per leggere la tensione della batteria e quindi dedurne la sua capacità residua
- 3 Breadboard unite fra loro
- Cavetti vari

Link a repo: https://gitlab.di.unimi.it/fabio.palazzesi/diy-alarm-clock/

Licenza scelta: GNU GENERAL PUBLIC LICENSE version 3 (GPLv3)

Data di presentazione: fine Marzo o inizio Aprile 2023



---
### The Room Rover

Autore: Lorenzo Romeo

Descrizione: The Room Rover è un piccolo veicolo in grado di mappare una stanza e successivamente di navigarla autonomamente.
Il suo funzionamento prevede due fasi principali: 
- La mappatura dell'ambiente: effettuata mediante un "radar" composto da un servo ed un sensore ultrasonico;
- L'esplorazione dell'ambiente: effettuata usando le informazioni ottenute nella fase di mappatura, accompagnata da eventuali rifiniture periodiche della mappa.

Hardware usato:
- 1x Arduino Nano
- 1x Servo (sm-s2309s) 
- 1x Ultrasonic sensor (hc-sr04)
- 1x Dual H-Bridge (L298N)
- 2x Hall sensor (3144) 
- 2x Motori DC
- 1x powebank (10 000 mAh)
- 2x resistors (220 ohm)
- 2x resistors (1k ohm)
- 2x transistors (bc 547b)

Link a repo: https://github.com/LorenzoRomeo0/The-Room-Rover

Licenza scelta: GPLv3 (https://www.gnu.org/licenses/licenses.html)

Data stimata di presentazione: Febbraio 2023


---
### Led games

Autori: Mauro Tellaroli

Descrizione: Sistema in grado di far giocare a 3 minigiochi tramite l'utilizzo di 4 led con delle rispettive fotoresistenze. I 3 giochi sono:

- Hit That Led: Obiettivo del gioco è coprire la fotoresistenza proposta dallo schermo lcd (numerate da 1 a 4) nel momento in cui il corrispettivo led è acceso. I led si accenderanno in sequenza, uno dopo l'altro. Man mano che si andrà avanti, la velocità di cambiamento tra un led e l'altro aumenterà.

- Memory Game: Obiettivo del gioco è osservare la sequenza di led casuale proposta, ricordarsela e indicarla. La lunghezza della sequenza sarà crescente man mano che si andrà avanti. Per indicare la sequenza si dovrà coprire la fotoresistenza, relativa al led che si vuole indicare, finchè non uscirà la scritta "Giusto" o "Sbagliato" per poi ripetere la stessa operazione fino al completamento della sequenza.

- Acchiappa il led: Obiettivo del gioco è coprire più fotoresistenze possibili quando il relativo led è attivo. I led si accenderanno e spegneranno in maniera casuale a velocità casuale. Il gioco durerà 15 secondi.

Link a repo: https://github.com/maurotella/ArduinoLedGames

Licenza scelta: gpl-3.0

Data di presentazione: febbraio 2023


---
### Ammortizzatore "ESPID" 

Autore: Stefano Arzani

Descrizione: Il progetto consiste in un sistema di "frenata ammortizzata" di un oggetto posto su un nastro trasportatore in modo che si fermi il più vicino possibile al bordo. 

Hardware usato:
- 1 ESP32 "WROOM-32"
- 1 sensore di ostacoli a ultrasuoni HC-SR04
- 1 Motore DC
- 1 motor driver L293D

Link a repo: https://github.com/JollySte/progetto_SistEmbed/ 

Licenza scelta: GNU General Public License v3.0 

Data stimata presentazione: Febbraio 2023

---
### Carrell-ino

Autore: Filippo Maraffio

Descrizione: il progetto prevede di realizzare un carrello trasportatore automatico, in grado di spostare dei piccoli oggetti lungo un percorso prefissato.
Il Carrell-ino parte automaticamente quando rileva la
presenza di un carico nel suo cassone, e si muove seguendo una linea
marcata precedentemente sul pavimento con del nastro isolante scuro.
Una volta che il suo cassone è libero, il Carrell-ino torna al punto di partenza, pronto per essere caricato nuovamente.

Hardware usato:

- Board: Arduino Uno
- 4x modulo di rilevamento linea KY-033 (con sensore a infrarossi TCRT5000)
- 1x sensore a ultrasuoni HC-SR04
- 1x cella di carico 0-5kg
- 1x moudlo ADC HX711 (per amplificare e convertire il segnale della cella di carico)
- 1x Motor driver L298N
- 2x motori CC da 6V
- 5x batterie AA da 7.5V
- 1x pulsante
- 1x diodo led
- 1x resistore da 1000 Ohm

Link a repo: https://github.com/pippomaraf/SistemiEmbedded-Carrell-Ino

Licenza scelta: [GNU General Public License v3.0](https://www.gnu.org/licenses/gpl-3.0.html)

Data *indicativa* di presentazione: novembre 2022




---
### Smart Grower

Autori: Gabriele Bertone

Descrizione: Questo progetto realizza uno smart grower, ovvero un sistema automatico per la crescita di piante a partire dal seme.
Per funzionare utilizza due LEDs a spettro completo e una pompa d’acqua per l’irrigazione gestiti da una componente software in maniera “smart”.
In particolare l’utente può selezionare tra tre livelli, basso, medio e alto, il livello di illuminazione che la pianta deve ricevere così come la quantità d’acqua.
Per quanto riguarda l’interazione con l’utente il mio progetto prevede un controllo remoto attraverso il protocollo MQTT attraverso il quale l’utente ha la possibilità di monitorare lo stato del sistema (luce, acqua e capacità del serbatoio) e di impostare i livelli desiderati di luce e irrigazione.
Nel pratico il progetto è implementato attraverso l’utilizzo di una scheda ESP8266, diversi sensori tra cui quello di luce e di umidità del terreno e infine di alcuni attuatori come la pompa d’irrigazione e i LEDs.
Per la gestione di ogni compito che il sistema software dovrà svolgere ho utilizzato la libreria TaskScheduler di cui maggiori informazioni nel repo su GitHub.

Link a repo: https://github.com/BHAEK/smart_grower

Licenza scelta: GNU General Public License V3.0

Data *indicativa* di presentazione: ottobre 2022


---
### Localizzatore GPS

Autori: Stefano Balciseri

Descrizione: Il prototipo di un mini tracker GPS dormiente che possa risvegliarsi a seguito della ricezione di un segnale di risveglio che verrà dato via Wi-FI/BLE E/oppure da un cambio di temperatura ( Immaginiamo un motore di una macchina che si avvia e mano mano si scalda) e l'informazione della posizione verra' mostrata su un display.

Idealmente un mini tracker GPS dormiente che possa risvegliarsi a seguito di un segnale di qualche sorta come ad esempio un SMS e quindi rispondere inviando le coordinate GPS attuali della posizione.

Link a repo: https://github.com/balciseri/trackerGps

Licenza scelta:  GPLv3  (https://www.gnu.org/licenses/gpl.html )

Data stimata presentazione: Settembre 2022



---
### Salto ostacoli

Autore: Francesca Fazio

Descrizione: Il progetto consiste nel progettare un piccolo gioco in cui due giocatori si sfidano in una gara di salto ostacoli. Il primo giocatore imposta l'altezza dell'ostacolo, avvicinando o allontanando la mano dal sensore che misura la distanza. Una volta fissata l'altezza dell'ostacolo, questa sarà visibile sul display. Invece, il compito del secondo giocatore sarà quello di visualizzare l'altezza e premere sufficientemente sul sensore di pressione per riuscire a saltare l'ostacolo. Nel caso di successo verrà visualizzato un messaggio "Congratulazioni" sul display e il giocatore 2 riceverà un punto, altrimenti verrà visualizzato un "Peccato.." e il giocatore 1 riceverà un punto.
Il gioco continua alternando i ruoli dei due giocatori e termina quando uno di quest'ultimi riesce ad arrivare ad un punteggio pari a tre.

Hardware usato:

- ELEGOO UNO R3
- Display LCD I2C
- Sensore di Pressione (Akozon DF9-40)
- Sensore ultrasuoni (HC-SR04)

Link a repo: https://github.com/FrancescaFazio/Embedded-Project

Licenza scelta: GPLv3

Data stimata presentazione: Settembre 2022


---
### Anta domotica

Autore: Andrea Ubbiali

Descrizione: Il progetto consiste nel progettare un'anta domotica che si apre/chiude in base alla presenza o meno del sole. L'idea di base nasce dal fatto che il mio ufficio al mattino rimane all'ombra mentre nel pomeriggio il sole punta diretto all'interno rendendomi difficoltoso il lavoro al pc. Se il meccanismo, durante il moto di chiusura o apertura, dovesse rilevare un'ostacolo, tenterà di tornare nella posizione precedente. L'apertura o chiusura potrà essere anche comandata tramite messaggi MQTT oppure utilizzando dei pulsanti. Per avere un ulteriore informazione, sarà inoltre presente un sensore di temperatura con un display.

Hardware usato:

- esp8266
- fotoresistenza
- motore passo-passo
- ULN2003 Stepper Motor Driver Module
- sensore temperatura
- display lcd
- sensore finecorsa, microswitch

Link a repo: https://github.com/andreaubbiali/antaDomotica

Licenza: GPLv3

Data stimata presentazione: ottobre 2022





---
### PIOF

Autore: Leonardo Monchieri

Descrizione: L'obbiettivo del progetto é quello di creare un sistema di gestione intelligente dell'acqua per l'irrigazione di un orto pensile attraverso le rilevazione fatte da una stazione meteo posta in corrispondenza della zona di interesse ed  inviate ad un web-server installato su una seconda scheda "controller" la quale gestisce anche la possibilitá di ricevere delle impostazioni sull'irrigazione(giornaliera, settimanale, puntuale...) da diversi client oppure in locale.
Le informazioni ottenute dalla stazione meteo e relative alle impostazioni sono visualizzabili su uno schermo oled attraverso il quale, grazie a un pulsante ed un rotary encoder é possibile eseguire dei settaggi locali sull'irrigazione.
La webpage per l'impostazione da remoto fornira anche delle impostazioni relative alla situazione climatica.

Oggetti usati: 
1. Stazione meteo esterna
 - ESP 8266-12F 
 - Sensore di temperatura e umiditá DH11
 - Sensore di rilevamento pioggia/neve
 - Fotoresistore 
 - 2 Diodo 1N4007
 - Batteria Lipo 3.7v 500mAh
 - Condensatore elettrolitico 1000μF
 - Condensatore in ceramica 100nF
 - MCP 1700-3302E

2. Controller interno
 - ESP 8266-12F
 - Schermo i2c Oled 128"x64"
 - Led Blu
 - Led Verde
 - Encoder rotativo 
 - 2 Resistenze 10K ohm
 - 2 Resistenze 220 ohm

Link repo: https://github.com/LeonardoMonchieri/PIOF

Licenza scelta: GPLv3

Data stimata presentazione: Settembre 2022






---
### SunMap  

Autore: Andrea Fumagalli  

Descrizione: Il progetto consiste in un dispositivo con lo scopo di individuare l'inclinazione e il direzionamento ideale per il posizionamento di pannelli fotovoltaici.
Il dispositivo fa ciò andando periodicamente a cercare, partendo dalla configurazione attuale, il posizionamento che offre maggiore resa e salvando in memoria la configurazione corrispondente e la resa.
Alla fine di un ciclo di rilevazioni il dispositivo consulta i dati salvati e restituisce la configurazione ideale.
La resa del pannello viene calcolata utilizzando la tensione di un piccolo pannello fotovoltaico montanto sul dispositivo.
L'algoritmo che controlla il movimento del dispositivo mira a compiere il minor numero di spostamenti possibili per ciclo.  

Link a repo: https://github.com/Fuma28/SunMap

Licenza scelta: GPLv3  

Data *indicativa* di presentazione: Agosto 2022  









---
### Car-duino

Autore: Luca Rompani

Descrizione:
L'obiettivo del progetto è di realizzare una macchinina che tramite un telecomando a infrarossi, può eseguire le seguenti operazioni: right-wall-follower (segue il muro tenendolo alla sua destra), left-wall-follower (segue il muro tenendolo alla sua sinistra), reach-wall (raggiunge il muro in fronte a se), joystick (l'utente guida il veicolo). 
Per dare un feedback all'utente, tre led specificano con una combinazione di colori (rosso, verde, blu) qual è la funzione attiva.

Oggetti usati: 1x Arduino uno r3, 4x sensori HC-SR04, 2x dc motor, 1x ponte h, 1x pila 9V, 1x sensore IR, 3x led, 3x resistenze.

Link a repo: https://github.com/rmplcu/macchinina

Licenza: GPL-3.0








---
### Temperatura Corporea contactless con Arduino

Autore: Lorenzo Gardelli

Descrizione: Realizzazione di un sistema di controllo dell’accesso a una struttura mediante misurazione della temperatura corporea, pratica richiesta attualmente per l’accesso a moltissimi uffici.
Un totem posizionato circa ad altezza uomo effettuerà una misurazione della temperatura attraverso un sensore a infrarossi, e se la temperatura risulterà inferiore al limite imposto per legge (37,5°) abiliterà l’accesso alla struttura mediante un attuatore (alzarsi di una sbarra o sbloccarsi di una porta con serratura elettrica, ancora da definire).

Per aumentare la capacità del sistema di interagire con l’ambiente circostante, e per rendere il progetto più veritiero possibile, sarà richiesto che:
1.	La misurazione avvenga in modalità automatica e contactless all’avvicinarsi di una persona al totem (per rispetto delle norme igienico/sanitarie)
2.	Il totem modifichi la tolleranza della misurazione in base alla temperatura ambientale misurata (per evitare grandi differenze di misurazione tra estate e inverno)

Link a repo: https://gitlab.di.unimi.it/lorenzo.gardelli/temperaturacorporeaarduino.git

Licenza scelta: GPLv3

Data stimata presentazione: Novembre 2021

---
### Convertitore-dc-motorino 

_Autori_: Andrea Laisa

_Descrizione_: Il progetto consiste in un convertitore di tensione meccanico costituito  fino a 12V in ingresso fino a circa 20V in uscita, dove la potenza dei motori (il duty cycle) è controllata da un esp8266 in funzione della tensione in uscita, con l'obiettivo di mantenerla costante anche di fronte alla variazione del carico (corrente assorbita) collegato all'uscita. Grazie ai rele il progetto supporta l'abilitazione/disabilitazione dell'uscita, e anche se usare le due dinamo in serie o in parallelo. Supporta anche la possibilità di cambiare la tensione(obiettivo) mediante un rotary encoder, o il tuning tramite dei potenziometri collegati a un convertitore ADC I2C.La ragione del progetto è dovuto al fatto che usare un alimentatore da laboratorio (a potenza variabile) o circuito di conversione tensione (tipo i circuiti boost converter) è troppo facile, e quindi bisogna complicarsi la vita.

_Link a repo_: - https://gitlab.com/amreo/convertitore-dc-motorino

_Hardware_:
  - Nodemcu V3 (esp8266 wifi)
  - 4x motori lego nxt large motor (in funzione di motore)
  - 2x motori lego ev3 large motor (in funzione di dinamo)
  - 4 channel relay module
  - Scheda sensore voltaggio 25v (che non è altro che un partitore)
  - Scheda di alimentazione YwRobot (per i 5v)
  - Alimentazione esterna da 12v
  - Scheda rotary encoder KY-040
  - Convertitore ADC I2C PCF8591
  - 4x condensatori elettrolitici 1000uF 16v
  - 2x condensatori elettrolitici 1000uF 35v
  - condensatore da 22uF 6.3V
  - transistor NPN
  - mosfet IRF640N
  - led bianco da 6500K 
  - 4x potenziometri da 10K
  - 3x diodi da almeno 1A
  - trimmer da 10k
  - varie resistenze

_Licenza scelta_: GPLv3 + CC-BY 4.0


---
### Gamepad bluetooth personale

_Nome Progetto_: Personal gamESPad

_Autore_: Mauro Magnacavallo

_Descrizione_: Creazione di un gamepad bluetooth personale. Solo il proprietario, munito del sul tag RFID, sarà in grado di utilizzare il gamepad. Lo stile del gamepad è _ispirato_ a quello nel NES.

_Hardware_:

- ESP32
- RFID-RC522
- Joystick
- Button x3

_Software_:

- Salvataggio UID RFID del proprietario nella memoria flash
- Rappresentazione di una sequenza di 8 pressioni di tasti in una variabile Byte e salvataggio nella memoria flash
- Confronto delle sequenza di pressioni tramite XOR
- Calibrazione del drift del joystick

_Link a repo_ : https://gitlab.com/mrBit/personal-gamespad

_Licenza scelta_ : MIT License


---
### ESP Piggy Bank

Autore: Gabriele Esposito

Descrizione: L'obbiettivo di questo progetto è quello di creare un salvadanaio intelligente (smart piggy bank) che sia in grado di riconoscere il tipo di moneta inserita e che, una volta riconosciuta la moneta, invii una notifica ad un server MQTT e salvi la situazione corrente del salvadanaio nella memoria EEPROM. Per dare un feedback all'utente che inserisce la moneta è presente anche un display che comunicare l'avvenuto riconoscimento della moneta mostrando il valore della moneta stessa. Il riconoscimento della moneta sarà effettuato tramite un potenziometro che, collegato ad una leva, ne misurerà la grandezza.

Oggetti usati:

- ESP8266 D1 mini
- Arduino UNO
- Potenziometro
- ULN2003 Stepper Motor Driver Module
- Stepper Motor
- Power Module (Power MB-V2)
- 4 Digit 7-Segment Display (module 5641AS)

Link a repo: https://github.com/gabriexpo/esp-piggy-bank

Licenza: GPLv3



---
### ESPerimentino PID

Autore: Giuseppe Roberti

Descrizione: Il presente progetto permette di effettuare degli esperimenti per il riscaldamento di un ambiente per mezzo di un elemento riscaldante comandato da un controller PID. L'elemento riscaldante può operare con o senza ventola. Vi saranno due implementazioni del controller PID, basate su due librarie diverse, con eventualmente la possibilità di attivare o meno l'auto-tuning dei parametri PID. Dopo aver individuato almeno un paio di configurazioni diverse di questi ultimi, e definito una metrica per misurare le prestazioni, il progetto prevede l'esecuzione di alcuni esperimenti, per ognuno dei setup sopra illustrati, con conseguente pubblicazione dei risultati in un notebook Jupyter.

Oggetti usati:

- 1x Alimentatore ATX
- 1x ESP32
- 1x Dual Mosfet D4184
- 1x Piastra Riscaldante
- 1x Ventola

Link a repo: - https://github.com/roberti42/unimi-embedded-project

Licenza: GPLv3 + CC-BY 4.0

---
### Smart Pot (Vaso IoT)

Autore: Matteo Piacentini

Il progetto prevede la realizzazione di un vaso IoT attraverso il quale è possibile ottenere informazioni relative allo stato della pianta e all’ambiente in cui essa risiede attraverso i sensori:
- Photoresistor (per catturare la luminosità ambientale).
- DHT 11 (per catturare la temperatura e l’umidità ambientale).
- Soil humidity moisture sensor (per catturare l’umidità del suolo).
- Resistenza per verificare la presenza di sufficiente acqua nel serbatoio (per irrigazione).

Attraverso il vaso è anche possibile controllare un meccanismo di gestione di irrigazione della terra e controllare un sistema di Led per il controllo della luminosità ambientale. Gli attuatori utilizzati sono:
- Pompa da 5v
- Led RGB da 5v

Link a repo: https://gitlab.di.unimi.it/matteo.piacentini3/vaso-intelligente

Licenza scelta: GPLv3



---
### Greenhouse

Autori: Casnedi

Descrizione: ...

Link a repo: https://github.com/Casne99/ESP-greenhouse

Licenza scelta: GPL
	

---
### Keep Talking and Nobody Explodes Arduino 

Autore: Bianchessi

Il progetto e' stato realizzato inspirandosi al gioco "Keep Talking and Nobody Explodes" di Steal create game. Il gioco, originale, consiste nel disinnescare una bomba, che e composta da moduli risolvibili in qualsiasi sequenza.
Nella versione Arduino la bomba e composta da alcuni sensori e per la risoluzione dei 'moduli' il giocatore deve utilizzare alcuni sensori specifici.
La bomba e cosi coposta:
- Arduino Uno
- Un Lcd 16x02 con modulo I2C
- 3 led
- Un potenziometro
- 3 bottoni
- un joystick 
- un encoder
- Resistenze
- Cavi per collegamento
Il progetto utilizza una programmazione OO.

**Link a repo:** https://gitlab.di.unimi.it/mattia.bianchessi/ktneino

**Licenza scelta:** GPLv3



---
### Torretta mitragliatrice spara dardi

Autore: Davide Barni

Descrizione: Il progetto consiste nella realizzazione di una torretta mitragliatrice intelligente che spara proiettili in plastica, la torretta è posizionata a terra su 3 piedini e si può muovere di 180 gradi sia su se stessa che in altezza, ha un display che visualizza la modalità attualmente in uso e il numero di colpi rimanenti e presenta una serie di sensori che le permettono di essere utilizzata in una modalità manuale standard e in due modalità intelligenti: modalità manuale (controllata dall’utente tramite un telecomando a infrarossi), modalità ultrasensore (scansiona il suo angolo di visione per trovare un possibile ostacolo/nemico e colpirlo) e modalità tracking (tramite dei LED IR posizionati è in grado di tracciare e seguire un bersaglio e colpirlo).
Le modalità sono controllabili dall’utente e switchabili in qualsiasi istante

Link a repo: https://github.com/davidebarni/embedded-project

Licenza scelta: GPLv3



---
### Controllo Altitudine Drone

Autore: Matteo Onger

**Descrizione:** Il progetto punta a recuperare il telaio e i motori di un drone già esistente ma danneggiato, sostituendone la circuiteria di controllo e programmandola affinché, tramite messaggi MQTT, sia possibile controllare da remoto il quadrirotore.
In particolare, una volta acceso, sfruttando un sensore ad ultrasuoni posto sotto la scocca del drone, sarà possibile impostare una quota obiettivo che il veivolo, controllato dal microcontrollore, punterà a raggiungere.
Sempre attraverso messaggi MQTT sarà possibile ricevere informazioni sullo stato del drone o forzare un atterraggio graduale mediato dal MCU.

**Hardware:**
* Wemos D1 Mini
* 2 x Dual H Bridge L298H
* Sensore ultrasuoni HC-SR04
* Connettori Micro JST 1.25 mm
* Jumper
* Batterie LiPo 3.7V

**Link a repo:** https://github.com/MatteoOnger/Drone

**Licenza scelta:** GPLv3



---
### RGB-STAGE-LIGHT

Autore: Federico Millefanti

Luce RGB con led controllabili singolarmente ad alta potenza, con automazioni, effetti e possibilità di controllo da un controller esterno.
Progettata per essere immersa nella musica ad alto volume, include diverse funzioni come l'auto-regolazione della sensibilità del microfono, adattandolo in modo perfetto al volume della musica, senza avere il problema dell'eccessiva correzione del range dovuta a improvvisi cambiamenti di dinamica nelle canzoni, ma al tempo stesso reagendo a modifiche del volume generale.
Include inoltre la possibilità del controllo da parte di un mixer DMX professionale, così da potersi adattare a tutte le esigenze.

Licenza: Apache 2.0

Link: https://github.com/fedemille/RGB-STAGE-LIGHT


---
### Robot Equilibrio

Autore: Fabrizio Visconti

Descrizione: Robot che si auto-bilancia per rimanere in equilibrio

- Arduino UNO
- GY-521 MPU6050 MEMS
- L298N
- 2 DC Motors 
- Battery Cell (18650 x2)


Link a repo: https://github.com/fabrhub/Robot-Equilibrio

Licenza scelta: GNU General Public License v3.0


---
### Programmable pets feeder

Autore: Alessandro Capezzera

Descrizione: L'idea alla base del progetto deriva da un problema quotidiano di un conoscente: avendo un cane e lavorando fino a tarda serata, il padrone si trova costretto a dover dare da mangiare in tarda serata anche al suo animale domestico. Per risolvere questa grana, questo progetto realizza una ciotola che può essere riempita di croccantini a qualsiasi orario del giorno, chiudersi con un pulsante e tramite applicazione android decidere a che orario dovrà aprirsi automaticamente.

Link a repo: https://github.com/Demacri/Programmable-pets-feeder

Hardware:
- Arduino uno
- Motore passo passo (28byj-48 5V DC)
- Driver motor (ULN2003)
- Display lcd (LCD1602)
- Sensore bluetooth (HC-05)
- Fotoresistenza
- Sensore di temperatura
- 3 Resistenze 10k ohm
- 1 resistenza 220 ohm
- 2 resistenze 3k ohm
(- Dispositivo Android)

Licenza: GPLv3


---
### Fogduino

Autore: Andrea Gandini

Descrizione: Fogduino è un progetto che vuole prototipare un generatore di fumo capace di interagire tramite MQTT. Applicando corrente sulla resistenza, essa si riscalda facendo evaporare il liquido contenuto nel cotone sulla quale è avvolta, generando fumo (Seguendo il principio di funzionamento di una sigaretta elettronica).

Hardware: 
- ESP8266 (ESP32) NodeMCU
- PC Fan (7x7cm, 12v,0,4A; 4 pin: +,-,pwm,rpm)
- Resistenza in lega da 1.3 Ohm, in lega Ni80, avvolta su cotone imbevuto di liquido
- 1x Relè 5VDC JQC-3FF-S-Z
- Sensore temperatura ds18b20
- Fotoresistore
- Sensore IR di fiamma KY-026
- Vecchio alimentatore da PC

Link a repo: https://github.com/agandini/fogduino  (in aggiornamento)

Licenza scelta: GPLv3



---
### ORDINA PALLINE

Autore: Gianni Molinari

Descrizione: il progetto consiste nella realizzazione di un dispositivo che ordina delle palline di 2 possibili
colori in 2 contenitori. Le palline vengono fatte passare per un tubo che termina in un gancio. Dietro questo
gancio sarà presente un lettore di colore che identificherà il colore della pallina. In base al colore
identificato verrà attivato un servo motore che farà ruotare il gancio verso il contenitore corretto,
facendoci cadere la pallina. Ogni contenitore possiede un misuratore di peso che si accorgerà della
presenza di una nuova pallina dunque il dispositivo dovrà aggiornare il display che mostra il numero di
palline presenti in ogni contenitore.

Hardware (provvisorio):
- Arduino UNO
- Power supply
- 2 sensori di peso
- sensore di colore
- bottone
- 3-6V Motor 1PC
- Servo motore
- LCD 1602 Module

Licenza scelta : GPLv3

Link a repo : https://gitlab.di.unimi.it/gianni.molinari/ordina-palline






---
### Sintuino

Autore: Diego Alberto Iozzia

Descrizione: Il Sintuino è un sintetizzatore basato su Arduino UNO suonato attraverso il movimento della mano davanti al sensore a ultrasuoni. Oltre alla sintesi sonora, permette di decidere l'ottava a cui sarà suonato e implementa un effetto tremolo regolabile, attivabile tramite pulsante, e un pitch shifter dinamico pilotato da un secondo sensore a ultrasuoni.

Hardware

- Arduino UNO x1
- Potenziometro 10k x3
-  Sensore a ultrasuoni HCSR-04 x2
-  Uscita Jack mono 6.35 mm x1
-  Resistore 560 OHM x1
-  Led x1
-  bottone x1

Librerie

-  Volume3
-  NewPing

Link a repo: https://github.com/n0men/Sintuino

Licenza scelta: CC0 1.0 Universal



---
### Bluetooth Smart Car

Autore: Manuel Savà

Descrizione: il progetto consiste nella realizzazione di una macchinina comandabile via Bluetooth da qualsiasi Device compatibile con modulo Bluetooth HC-06. La Smart car presenta due modalità di utlizzo, switchabili in qualsiasi istante dal device collegato: La prima denominata "guida libera", selezionata di default all'accensione, consiste nel comandare la macchinina tramite il pad virtuale del device, decidendo liberamente la velocità di movimento e la direzione da farle prendere, mentre la seconda consiste in una sorta di "pilota automatico", facendola muovere autonomamente e fermandosi una volta al cospetto di un qualsiasi ostacolo, cambiando successivamente direzione verso la via più libera. La funzionalità del fermarsi dinanzi a un ostacolo è presente anche nella guida libera, ma in questo caso la Smart Car si limiterà solo a stoppare i motori, lasciando pieno controllo all'utente su quale strada percorrere.  

**Hardware e materiale utilizzato:**

- Aruino uno
- Modulo Bluetooth HC-06
- DC Motor Shield L293D
- 2 Batterie 18650 da 3.7V
- Porta Batterie con Switcher integrato
- Sensore a ultrasuoni HC-SR04
- 4 Motori DC con ruote annesse
- Chassis a 2 strati in plastica

Link a repo:https://github.com/manuelsava/Sistemi-Embedded

Licenza scelta: GPLv3




---
### Portable Thermostat

Autore: Davide Busolin

Descrizione: Il progetto consiste in uno o più termostati portatili che possono essere posizionati in qualunque punto della casa (in cui ci sia copertura Wi-Fi) in modo tale da avere un controllo della temperatura più fine dove effettivamente è necessario riscaldare, e un'unità fissa che opera sul comando della pompa dei termosifoni (che si trova dove sarebbe posizionato il classico termostato).

Componenti necessarie per l'unità fissa:
  * Microcontrollore con funzionalità di rete
  * Relé

Componenti necessarie per le unità portatili:
 * Microcontrollore con funzionalità di rete
 * Termometro
 * 3 pulsanti
 * Un display (ancora da decidere la tecnologia)
 * Supporto per batterie

Link a repo: https://github.com/busolind/PortableThermostat

Licenza scelta: GPLv3







---
### RandomicDice

Autore: Giacomo Andreata

Descrizione: un dado che al lancio, grazie ad un accelerometro, capisce di essere stato lanciato o agitato e genera un numero random e lo mostra sul display una volta che si è fermato. Il range può essere preimpostato ma con un massimo che va da 0 a 9.

link a repo: https://github.com/GiacomoAndreata/RandomicDice

Licenza: GPL-3.0












---
### Smart Remote

*Nome Progetto*: Smart Remote

*Autore*: Alessandro Mascaretti

*Descrizione*: Il telecomando in questione è basato su ESP32. Grazie all'utilizzo di uno script di shell o di un assistente vocale per smartphone (ancora da valutare quale possa essere la scelta migliore tra le 2),
verranno mandati dei comandi MQTT al telecomando, il quale dopo averli opportunamente interpretati, li trasformera' in segnale a infrarossi per interagire con la TV. Il telecomando sara' inoltre dotato
di una fotoresistenza per il rilevamento della luminosita' ambientale. Qualore l'utente stesse vedendo la TV al buio, il telecomando in automatico mandera' un comando
MQTT in modo che eventuali lampade, collegate allo stesso server MQTT e poste dietro alla TV, verranno accese. Ai fini del progetto le lampade verranno simulate con uno o due led.

*Hardware* (provvisorio, potrebbe variare e/o aumentare in corso di sviluppo):
* ESP32
* IR Sender
* IR Receiver
* Led
* Fotoresistenza

Nota: il circuito verra' saldato su millefori e non lasciato volante su breadboard, in quanto verra' poi anche effettivamente utlizzato in casa.

*Link a repo* : https://gitlab.com/AleMasca/smart-remote (In Allestimento. Verra' modificato e riempito in fase di sviluppo)

*Licenza scelta* : GPLv3













---
### DCC COMMAND STATION

Autore: Paolo Calcagni

E-mail: paolo.calcagni@studenti.unimi.it

Repository: [Bit Bucket](https://bitbucket.org/paolino625/dcc-command-station/src/master/)

Licenza scelta: GPLv3


Descrizione: utilizzare Arduino per inviare comandi DCC alle locomotive del plastico ferroviario e gestire gli scambi presenti attraverso un'interfaccia web.

Librerie Software Utilizzate:

- Wire: permette la gestione del display LCD.
- Liquid Crystal I2C: permette la gestione del display LCD.
- EEPROM: permette la gestione memoria non-volatile EEPROM.
- Timer One: permette la gestione degli interrupt.
- Keypad: Libreria permette la gestione del tastierino numerico.
- Firmata Marshaller: permette la gestione della communicazione tra microcontroller.

Hardware Utilizzato:

- Arduino Mega
- ESP8266 (ESP-12E Module)
- Tastierino Numerico
- Display LCD I2C
- Logic Level Converter
- L298N
- Sensori infrarossi - TCRT5000
- Trasduttori di corrente
- Relay - OMRON G6DN 5V
- CDU




---
### ChaseTheSun

Autore: Lorenzo Bini

Descrizione: ChaseTheSun è un piccolo robot con ruote motorizzate che cerca e raggiunge un luogo illuminato direttamente dal sole nelle sue vicinanze. Se rileva di essere nuovamente all'ombra, si rimette in moto per tornare al sole. Può anche usare i sensori di luminosità per rilevare oggetti in avvicinamento e "scappare" da essi. L'hardware è costituito da una base con ruote motorizzate, fotoresistenze inserite in alloggiamenti di cartoncino nero che fanno da sensori di luminosità, un piccolo pannello solare che rileva l'illuminazione diretta da luce solare (le fotoresistenze non funzionano bene per tale scopo), e il controller ESP32. Il software è un loop che controlla il pannello e le fotoresistenze per decidere se e dove spostarsi. La rilevazione dei luoghi illuminati è principalmente basata sul fatto che le superfici illuminate direttamente dal sole registrano sempre valori molto più alti di quelle all'ombra quando "osservate" tramite una fotoresistenza. Gli alloggiamenti in cartoncino nero servono a schermare una fotoresistenza da fonti di luce diverse dalla superficie del terreno, ad esempio il cielo o il paesaggio intorno; in pratica si dà al sensore un "campo visivo" ben limitato, nonostante la fotoresistenza di per sè non ne abbia uno (questo aspetto è già stato testato all'aperto). Il progetto è solo in fase iniziale, per ora.

Repository: https://gitlab.com/ellebi/chasethesun (in Inglese)

Licenza scelta: GPLv3





---
### Interactive LED matrix

*Autore*: Mirko Milovanovic

*Descrizione*: Creazione di una matrice LED 17x17 controllata da un ESP32.
La matrice è (semi)interattiva, potendo essere controllata in 2 modi: attraverso il protocollo Artnet o E131 è possibile inviare animazioni e giochi di luce da un controller
esterno in modo wireless; oppure, creando un sensore "touch" utilizzando 2 sensori ad ultrasuoni per gli assi X e Y è possibile interagire con un minimo di UI (esempio sveglia con informazioni meteo, etc).

Vorrei pensare un attimo su quali altri sensori potrei integrare o quali altre funzionalità creare dato che penso sia un attimo semplice come progetto (ergo sono ben accette idee su come migliorare il tutto) (atrent: le funzionalità che hai citato sono sufficienti per un progetto d'esame, se implementi sia controllo diretto che via rete. se proprio vuoi aggiungere qualcosa metti un accelerometro e sposta un puntoluce sulla matrice in funzione dell'inclinazione)

*Hardware* (provvisorio):

* ESP32
* 2x ultrasonic sensor HY-SRF05
* SK9822 RGB LED strip
* Trasformatore 5V, 100W

*Link a repo* : [https://gitlab.com/kobimex/interactive-led-matrix](https://gitlab.com/kobimex/interactive-led-matrix) (in allestimento)

*Licenza scelta* : GPLv3




---
### Termostato Nest fai da te

Autore: Alessio Medda

Descrizione: Termostato domotico basato su ESP-32 in grado di regolare di interagire con la caldaia.
È controllabile sia attraverso i comandi manuali sia interfacciandosi con google assistant e fornire informazioni sulla temperatura nell'abitazione .
Viene implementato un PID per migliorare la regolazione della temperatura.

(commento atrent: il Nest "impara" la programmazione settimanale man mano che lo usi, vorresti provare a implementare una cosa analoga?)

Hardware:
    -DHT11
    -Display Oled AZOLED12864-1000
    -2 bottoni
    -1 potenziometro

Link a repo: https://github.com/alemk96/Termostato

Licenza scelta: GPL 3.0





---
### ArduinoMicroSynth 

Nome progetto: ArduinoMicroSynth

Autore: Alessandro Chiesi

Descrizione: Intendo realizzare un synth analogico pilotato via MIDI attraverso un Arduino Uno. Il sintetizzatore è costituito da due organi fondamentali:

- un oscillatore costruito con un integratore e un comparatore i quali forniscono rispettivamente onda quadra e triangolare.Inoltre è presente un input, ricevente una tensione in ingresso, la quale sceglierà la frequenza dell'oscillatore.
- un amplificatore costruito con un operazionale che regola l'ampiezza dell'onda generata dall'oscillatore. l'amplificatore riceve anch'esso una tensione d'ingresso per regolare il volume in uscita

Il software si occupa di gestire 3 funzionalità principali:

- gestione dei messaggi MIDI in ingresso
- erogazione della tensione per l'oscillatore ,attraverso il PWM generato da Arduino , secondo il messaggio MIDI ricevuto, opportunamente filtrato.
- erogazione della tensione per l'amplificatore, attraverso un output digitale PWM, filtrato opportunatamente, per ottenere una tensione continua.

La dinamica è regolabile secondo un ADSR implementato via software, attraverso quattro potenziometri:

* Attacco: tempo necessario per raggiungere il volume massimo
* Decadimento: tempo necessario per raggiungere il volume di Sustain
* Sustain: ampiezza a cui il volume rimarrà costante finchè il tasto rimane premuto, dopo il tempo di decadimento
* Rilascio: tempo in cui, una volta rilasciato il tasto, il volume arriverà a zero

Link a repo: https://github.com/Keasys/ArduinoMicroSynth

Licenza scelta: GPLv3
	




---
### Ardumeteo

*Autore*: Matteo Carlo Giavarini

*Descrizione*: Ardumeteo ha come obbiettivo la realizzazione di una piattaforma integrativa per un impianto di domotica.
L'idea è quella di avere una piattaforma in grado di rilevare valori ambientali indoor come temperatura, umidità, luminosità, pressione ed altitudine per poi condividerli tramite protocollo MQTT con la piattaforma Home Assistant.
Tramite l'interfaccia grafica di Home Assitant si potranno visualizzare i grafici relativi ai dati rilevati, sarà possibile scegliere se controllare le luci interne in maniera manulare tramite l'uso di un potenziometro collegato ad un Arduino, oppure in maniera automatica in base ai valori rilevati dal sensore di luminostà.
Inoltre sempre tramite interfaccia grafica sarà possibile impostare il periodo di lettura dei dati. La logica della gestione dei parametri è implementata su Home Assitant grazie all'utilizzo di trigger ed automazioni che invieranno su topic MQTT gli opportuni comandi.
Per comodità ho scelto di installare il broker MQTT su un PC Linux e non su un raspberry come è consueto fare. I vari sensori ambientali sono stati collegati ad un ESP32 connesso tramite Wifi mentre il potenziometro per il controllo manuale delle luci è stato collegato ad un clone di Arduino Uno connesso con ethernet shield,
mentre le luci interne sono simulate da led collegati ad entrambe le piattaforme.
Ho scelto di utilizzare due dispositivi per sottolineare la possibilità di avere più dispositvi che interagiscono fra di loro.

*Repository*: https://github.com/matteocarlogiavarini/Ardumeteo (Il progetto è completo ma potrei apportare dei cambiamenti)

*Licenza scelta*: GPLv3

(atrent: ok, ricorda che è più importante la parte embedded rispetto alla parte "home assistant"... caveat emptor)


---
### Smart home

*Autore*: Daniele Coccia

*Descrizione*: Sistema domotico che implementa le funzionalità di:

  - **Sensore temperatura e umidità**
    Tramite un sensore **DHT11** misuro temperatura e umidità ambientale.
    Quando viene rilevato un eccessivo livello di umidità un'automazione di home assistant invia un messaggio mqtt che aziona un relè che accenderà un deumidificatore.

  - **Controllo consumo energetico**
    Quando viene ricevuto tramite mqtt un livello di consumo energetico eccessivo dal misuratore viene fatto suonare un **buzzer** e vengono spente le luci per un quanto di tempo cercando così di ridurre i consumi.

  - **Luci con intensità variabile**
    una **fotoresistenza** determina la luminosità ambientale, l'intensità luminosa delle lampade è regolata in locale tramite lettura dei pin.
    Viene inviato ad homeassistant la quantità di luce ambientale presente nella stanza.

  - **Sistema di allarme**
    sensore di movimento che alla rilevazione di un movimento fa suonare un buzzer, invia messaggio di rilevato movimento ad homeassistant.
    Possibilità di attivare o disattivare il sistema di allarme da homeassistant tramite mqtt.

*Repository*: https://github.com/daniC97/smartHome

*Licenza scelta*: GPLv3



---
### Braccio raccoglitore

*Autori*: Luca Papparotto, Alessandro Varotto

*Descrizione* 

Il progetto prevede la realizzazione di un braccio meccanico in grado di raccogliere oggetti e spostarli in un cestino secondo due modalità:

- manuale: il braccio viene comandato attraverso l'utilizzo di un joystick; una volta posizionato sull'oggetto e premuto il tasto del joystick il braccio automaticamente preleverà l'oggetto e lo sposterà nella zona designata.

- automatico: il braccio meccanico attraverso il sensore ultrasonico cerca, nel range della sua presa, oggetti da poter raccogliere e buttare nel cestino.

*Hardware e materiale utilizzato:*

- Esp32
- Servo sg90 x5 
- Joystick x1
- Sensore ultrasonico x1
- Led x2
- Microswitch x1
- Interruttore x1
- Millefori x2

*Repository*: https://gitlab.com/lucapap97/esame-sistemi-embedded

*Licenza scelta:* GPLv3



---
### Termostatino32

*Autore*: Samuel Albani

*Descrizione*: Il progetto consiste in un termostato realizzato con il microcontrollore ESP32.
Viene fatto uso di un termistore NTC per monitorare la temperatura (calcolata con la formula riportata su https://it.wikipedia.org/wiki/Termistore#Equazione_con_parametro_B),
ed un potenziometro per regolare la temperatura desiderata tra 20 e 40 °C;
l'innalzamento della temperatura oltre la somma tra quella desiderata ed una soglia di 2 °C (per evitare continue accensioni e spegnimenti
dovuti a disturbi di lettura) provoca l'accensione della ventola,
la cui velocità è controllata in PWM attraverso un transistor, in base alla differenza tra la temperatura rilevata e quella desiderata;
quando la temperatura rilevata scende sotto quella desiderata, la ventola si ferma.
Lo stato del sistema è indicato, oltre che attraverso dati inviati su seriale, anche da un LED RGB regolato in PWM che si accende di blu
se la temperatura è sufficientemente bassa, mentre sfuma dal verde al rosso man mano che la temperatura rilevata sale oltre quella desiderata,
proporzionalmente alla velocità della ventola.
Inoltre, vengono inviati dati su temperatura attuale, temperatura desiderata e velocità della ventola percentuale ad un broker MQTT sotto il topic "Termostatino32",
attraverso la libreria PubSubClient, ed è possibile impostare la temperatura desiderata anche via MQTT tramite "Termostatino32/imposta <valore_double>" (sottinteso in °C);
per tornare invece al controllo manuale della temperatura desiderata tramite potenziometro basta inviare via MQTT "Termostatino32/imposta " (con payload vuota).

*Repository*: https://gitlab.com/samuel.albani/termostatino32

*Licenza scelta*: GNU GPLv3




---
### SimSim

Nome progetto: SimSim

Autore: Andrei Ciulpan

Descrizione:

   Sistema di controllo accessi basato su Arduino.
   Il sistema funziona con diverse modalità di riconoscimento tra cui abbiamo:

     - RFID
     - telecomando (con RF receiver)
     - keypad per poter accedere via password

   Il sistema manda i log di accessi tramite una richiesta HTTP ad un database server in locale
   (ho creato anche la parte di back-end, ma non sta sul repo) con un ESP-01
   Il sistema dispone inoltre di un display LCD 16x2

Repository: https://github.com/Jolsty/SimSim

Documentazione su https://github.com/Jolsty/SimSim/wiki * WORK IN PROGRESS *

Licenza scelta: CC BY-ND




---
### Salvaduino

Autori: D. Bellisario

Descrizione: obiettivo del progetto è la realizzazione di un salvadanaio controllato da Arduino.
Il salvadanaio:
    * accetta monete da 0.50, 1 e 2 EUR;
    * mostra importo e numero di monete su un display 16 x 2 LCD;
    * salva i dati su EEPROM per mantenere le informazioni anche in caso di spegnimento;
    * autorizza il prelievo solo in possesso di un token RFID;

(altre informazioni sul wiki [[https://github.com/DB375237/salvaduino/wiki]] dedicato)


Repository: https://github.com/DB375237/salvaduino

Licenza scelta: CC0 1.0 Universal.



---
### RadioArduino

Autori: Adriano Cofrancesco

Descrizione: RadioArduino è un progetto che ha lo scopo di emulare una Radio FM. In particolare questa radio può essere pilotata manualmente, con l'uso di un potenziometro per il cambio frequenza, oppure attraverso appositi messaggi via WiFi utilizzando il protocollo MQTT. Basandosi sullo schema publish/subscribe con MQTT RadioArduino può operare nella modalità  Subscriber, in tal caso può solo ricevere messaggi e rispondere al Publisher in maniera automatica a specifiche richieste, oppure come Publisher, in questo caso oltre alle funzionalità del subscriber può cambiare la frequenza a tutti i subscribers, verificare su quale frequenza sono sintonizzati e anche richiederne l'identificativo. Ogni subscriber apparterrà ad un gruppo, inizialmente di default, che potrà essere cambiato in autonomia così da ricevere messaggi da publisher diversi.

Hardware:
  * ESP8266 NodeMCU
  * LCD 16x2
  * 2x potenziometri 10K
  * TEA5767 FM Radio module

Link a repo: https://github.com/adrianocofrancesco/RadioArduino

Licenza scelta: GPLv3



---
### RemoteControlledGreenhouse

Autore: Marco De Nicolo

Descrizione: Ho realizzato una serra che può essere controllata da qualsiasi dispositivo, connesso alla stessa rete di questa, attraverso il protocollo OSC.
In particolare si può utilizzare un server per gestire, attraverso un'interfaccia grafica, una o più serre e renderle accessibili anche all'esterno della propria rete.
Per alimentare la serra ho utilizzato un power supply di un vecchio fisso, così da poter utilizzare tutti i diversi voltaggi che mi servivano.
La serra è automatizzata, quindi se l'igrometro segna un'umidità del terreno troppo bassa si apre l'elettrovalvola per innaffiare, se la temperatura o l'umidità è troppo alta si azionano le ventole e così via (i livelli minimi e massimi si possono settare).
La serra comunica con un server per settare l'ora e permettere all'utente di aggiungere innaffiature programmate.
La luce può essere automatica, quindi si accende con il buio, oppure manuale.
HW utilizzato:
  * 2 Ventole
  * elettrovalvola
  * led rosso (si può utilizzare una lampada adatta)
  * igrometro
  * sensore umidità e temperatura DHT11
  * sensore livello acqua
  * fotoresistenza
  * relè 4 canali
  * esp8266
  * power supply
  * breadboard, cavi jumper e altri componenti non elettronici

Link a repo: https://github.com/Maerk/RemoteControlledGreenhouse , https://github.com/Maerk/RemoteControlledGreenhouseServer

Licenza scelta: MPL 2.0







---
### SmartGarden

Autori: Alessandro Gigliotti, Giovanni Reni

Descrizione: in questo progetto, abbiamo realizzato un sistema di gestione intelligente di un piccolo orto o giardino. È presente un impianto d'irrigazione, basato sul controllo di ciò che accade e quindi di come si modifica, l'ambiente circostante. L'impianto entra infatti autonomamente in azione, quando si verificano determinate condizioni (come secchezza del terreno o assenza di pioggia), tenendo costantemente sotto controllo varie informazioni sull'aria, terra, meteo e sullo stato degli strumenti d'irrigazioni utilizzati. L'irrigazione può entrare in funzione, utilizzando una cisterna che raccoglie l'acqua piovana, oppure tramite un impianto idraulico. È altresì possibile attivare l'irrigazione anche manualmente da un utente tramite un pulsante fisico. Le informazioni rilevate tramite i sensori in giardino, vengono inviate e visualizzate su un display, attaccato ad un'altra board, posizionato in un luogo chiuso (ad esempio in casa). Affianco al display, ci saranno anche 4 led, che segnalano la presenza/assenza di pioggia, la presenza/assenza di sole, lo stato del serbatoio pieno o vuoto. Ci sono infine 3 pulsanti fisici, posizionati accanto al display, per azionare manualmente l'irrigazione, per accendere una lampada per illuminare e un tasto per arrestare entrambe queste attività. Inoltre il sistema sfrutta un'applicazione mobile, dalla quale sono consultabili tutte le informazioni lette dai sensori e lo stato della cisterna. Sono presenti inoltre 3 pulsanti virtuali, gemelli di quelli fisici, per azionare gli strumenti del progetto da un dispositivo. Infine l'app invia anche notifiche, relative agli eventi che accadono nel sistema.

Link a repo: https://github.com/GioReni/SmartGarden

Licenza scelta: GPLv3

---
### The Mouse

Autori: Simone Calcaterra, Matteo Negri

Descrizione: L'idea del progetto è quella di creare un mouse robotizzato, capace di percorrere tragitti prestabiliti secondo misure date.

per fare ciò utilizziamo la tecnologia del mouse per avere un riscontro sulla tratta percorsa in modo tale da compiere tragitti più o meno precisi.

Il software da noi utilizzato è una libreria, la PS/2 mouse presente in internet.
L'hardware da noi utilizzato è:
  * Un mouse PS\2
  * Una board Arduino pro Micro con integrato ATMEGA32U
  * Due motori DC da 3.3 V

Il nostro progetto focalizza molto l'attenzione sulla libreria e sul protocollo PS\2.

Link a repo: https://github.com/mnegri/TheMouse

Licenza scelta: GPLv3



---
### Macchina "intelligente"

Autori: Magni Andrea & Mercanti Davide

Descrizione: Il progetto che abbiamo deciso di realizzare prevede la costruzione di una "macchina intelligente". La macchina che costruiremo andrà a svolgere svolgere diverse funzioni di valutazione e risoluzione di problematiche.
  * La macchina dovrà riuscire a muoversi in una strada composta da due corsie rimanendo all'interno di una corsia grazie alla presenza di quattro sensori ad infrarossi posizionati nella parte frontale.
  * La presenza di un semaforo per gestire il traffico gestito da una board differente rispetto a quella della macchina. Entrambe le board avranno a disposizione un modulo radio per consentire la comunicazione.  
  * Nel caso in cui la macchina si stia avvicinando ad un semaforo valuti la sua condizione e regoli la velocità di conseguenza.
  * La presenza di possibili ostacoli durante il percorso, i quali verranno individuati da un modulo a ultrasuoni nella parte frontale della macchina.
  * Nel caso in cui la macchina trovi un ostacolo durante il percorso, i quali possono essere considerati fissi (una macchina in panne, lavori in corso) o mobili (dei pedoni che attraversano la strada) valuti il tipo di ostacolo e decida se continuare il percorso o effettuare una manovra di cambio corsia per poi continuare il percorso.

Link a repo: https://github.com/AndreaMagni/SistemiEmbedded

Licenza scelta: GPLv3





---
### SHARON-Macchina Self Tuning & Path Follower

Autori: Simone Scaravati, Noah Rosa, Stefano Radaelli

Descrizione: Sharon è una macchina controllabile tramite WiFi, grazie all'uso del protocollo OSC.
È in grado di bilanciare automaticamente la potenza dei suoi motori, in modo da poter andare dritta senza la necessità di andare a regolare manualmente la direzione da lei seguita(errore che capita spesso a causa dell'imprecisione dei motori).
Inoltre si interfaccia con un software (che sarà probabilmente disponibile per tutti i s.o.), scritto su Processing, che permetterà di disegnare graficamente un percorso, il quale sarà seguito dalla macchina il più fedelmente possibile.

Ai fini di testing, il progetto si appoggia all'app AndrOSC (disponibile gratuitamente su Play Store), per guidare manualmente la macchina e per farla anche muovere autonomamente grazie ad un sensore di distanza posto nella parte anteriore della carrozzeria.
Per poter utilizzare l'app facilmente mettiamo a disposizione un preset creato da noi, da collocare in un path specifico descritto nel readme.

Link a repo: https://github.com/simoneScaravati/Sharon-Path-Finder

Licenza scelta: GPLv3

---
### ESP8266 print server

Autore: Gianluca Nitti

Descrizione: print server basato su ESP8266 per aggiungere connettività di rete a stampanti con porta parallela o seriale. Le stampanti con porta parallela possono essere collegate direttamente (occupando 10 GPIO) oppure tramite shift register (usando "solo" 5 pin di I/O). Sono supportati i protocolli di rete [[http://lprng.sourceforge.net/LPRng-Reference-Multipart/appsocket.htm|AppSocket]] ed [[https://en.wikipedia.org/wiki/Internet_Printing_Protocol|IPP]]. Presente anche una coda di stampa sulla memoria flash a bordo dell'ESP8266 per poter accettare altri job anche quando la stampante è occupata, ma attualmente funziona solo se il job di stampa in attesa rientra completamente nella memoria (quando la stampante si libera, prima finisce di ricevere il nuovo job e poi inizia a stamparlo; migliorabile perchè potrebbe iniziare non appena la stampante è libera, facendo quindi spazio sulla flash).

Link a repo: https://github.com/gianluca-nitti/printserver-esp8266/ (il branch develop viene aggiornato più spesso, facendo il merge in master solo quando è completato lo sviluppo di una funzionalità significativa)

Licenza scelta: GPLv3

---
### DAMS_01 Sintetizzatore digitale

Autore: Marco Colussi

Descrizione: Il DAMS_01 è un sintetizzatore digitale sviluppato in PureData che utilizza dei sensori ambientali per creare una sintesi diversa e unica in ogni luogo in cui viene usato. Dal lato hw vediamo l'impiego di un raspberry PI3 per far girare il software di PureData, un Arduino UNO per la gestione degli input e la comunicazione con il sintetizzatore via firmata_extended, codice Arduino che modifica il già esistente standardFirmata per permettere di falsare letture e la quantità di pin analogici presenti sulla board.
I sensori utilizzati sono:
  - RGB Led;
  - ADXL 345;
  - Touch sensor;
  - LDR;
  - DHT11;
  - Analog Thumb Joystic;
  - Multiplexer CD4067BE;
  - 5x potenziometri 10kΩ;
  - 5x bottoni;


Link a repo: https://github.com/warpcut/DAMS_01

Licenza scelta: GPLv3

---
### SolarTracker

Autore: Mirco Gnuva

Descrizione: Sistema in grado di modificare l'inclinazione di un pannello fotovoltaico su due assi tramite servo motori in base alla posizione relativa del sole. La posizione relativa del sole viene determinata utilizzando 4 celle fotovoltaiche che si muovono insieme al pannello principale. Il sistema è inoltre in grado di caricare batterie di tipo 18650 Li-ion e di determinarne lo stato di carica. Il tutto viene controllato tramite un ESP32 (montato su Lolin 32). La logica di controllo è realizzata in Micropython (porting di Python).
Componenti hardware:
  - 2 display oled I2C;
  - Step-down LM2596;
  - Step-up (modello non disponibile);
  - 4 celle fotovoltaiche policristalline (modello non disponibile);
  - Pannello fotovoltaico 5.2W 12V policristallino (modello non disponibile);
  - Bilanciatore di carica/scarica TP4056;
  - Relè 3.3V (modello non disponibile);
  - 2 Servo motori MG90S;
  - Resistori (modello non disponibile);
  - Lolin 32;
In caso di necessità i link di ogni componente sono disponibili su repo(Creazione del README in corso) o tramite mail

Link a repo: https://github.com/Wasp971/SolarTracker

Licenza scelta: GPLv3

---
### RaspberryCreate

*Autore*: Davide D'Ascenzo, Andrea Scipioni

*Descrizione*: RaspberryCreate è una panoramica dei dispositivi Raspberry in ambiente embedded, con particolare attenzione all'utilizzo della piattaforma Arduino Create.

*Repository*: https://github.com/Kidara/RaspberryCreate

*Licenza scelta*: GPLv3


---
### Libramentum

*Autore*: Edoardo Ferrari

*Descrizione*: Libramentum è un telecomando al quale è stato collegato un piano movente. Ogni volta che si proverà a roteare il telecomando a destra
o a sinistra rispetto all'asse dell'hardware, il piano verrà stabilizzato e resterà sempre parallelo al terreno. Dati informativi riguardanti la stabilità
del piano verranno inviati tramite connessione MQTT ad un server hostato su https://www.cloudmqtt.com/

*Repository*: https://github.com/normaloide/Libramentum (in aggiornamento)

*Licenza scelta*: GPLv3



---
### F1 Timer

*Autore*: Mauro Mastrapasqua

*Descrizione*: F1-Timer è un sistema di cronometraggio wireless in grado di misurare i tempi di percorrenza di piu' macchine su un circuito di gara. E' basato sul probing wifi da parte delle macchine verso un'antenna comune presente nel circuito. Un server si occupa di elaborare questi dati e di stendere una classifica delle macchine in gara, oltre che a gestire altri componenti/servizi nel circuito: notifica tramite display della macchina che ha fatto il giro piu' veloce, gestione delle luci di gara (semafori di partenza, luci per segnalare giro veloce ecc...) e infine il sistema ridondante di cronometraggio basato su fotocellula. Il server quindi si occupera' di confrontare i dati acquisiti dai sensori e quelli acquisiti dalle macchine, inviati via wifi. Tutti i dati raccolti vengono messi a disposizione tramite un sito web.

*Repository*: https://github.com/mmastrapasqua/f1timer

*Licenza scelta*: 0BSD


---
### ArduinoAnnaffiaPiante

*Autore*: Michele Miglio

*Descrizione*: Sistema per monitorare l'umidità di un vaso (in sezioni) e avviare/aumentare o fermare/ridurre la potenza di una pompa per l'acqua così da mantenere l'umidità del vaso sempre in un range scelto tramite prove empiriche.

**Hardware**

*  Arduino Uno: [https://store.arduino.cc/arduino-uno-rev3](https://store.arduino.cc/arduino-uno-rev3)
*  Sensore umidità FC-28: [https://www.robotstore.it/Sensore-di-Umidità-del-suolo](https://www.robotstore.it/Sensore-di-Umidità-del-suolo)
*  Led
*  Cavi
*  Breadboard

Link a repo: [https://gitlab.com/michelemiglio/arduinoannaffiapiante](https://gitlab.com/michelemiglio/arduinoannaffiapiante)

Licenza scelta: GNU General Public License v3.0


---
### Allarme

*Autore*: Roberto Antoniello

*Descrizione*: consiste nel simulare un rilevatore di movimento tramite l'uso di sensori di prossimità ad ultrasuoni. Dopo un iniziale monitoraggio dell'ambiente, viene definita per ogni sensore la situazione tipica
in seguito ad un certo numero di misurazioni. Una volta che vengono definiti questi valori, i sensori effettueranno misurazioni periodicamente e nel caso in cui viene notato un cambiamento anormale scatterà l'allarme.
In caso di violazione un buzzer inizierà a suonare e verrà inviata una segnalazione via MQTT. Per disattivare l'allarme sarà richiesto un codice di sblocco e se corretto, il sistema riprenderà con le misurazioni periodiche.

*Link a repo*: https://gitlab.com/roberto.antoniello/progetto_allarme_sistemi_embedded (in aggiornamento)

*Licenza scelta*: GPLv3

---
### Citofono IOT

*Autori* : Alessandro Sala, Federico Burlon

*Descrizione* : Si tratta di un citofono che comunica con i residenti tramite il servizio cloud-based di messaggistica istantanea Telegram grazie all'utilizzo del modulo ESP8266. Sono previsti due modalità d'uso.
* ONLINE: permette ai residenti di registrarsi al citofono in pochi passi e quindi di ricevere le notifiche quando viene composto il loro interno. Infine, ricevuta una richiesta di apertura, gli utenti possono decidere se aprire o meno il cancello direttamente tramite chat Telegram.
* OFFLINE: il citofono si avvierà in modalità offline qualora non dovessere riuscire a connettersi al WiFi configurato. In questa modalità è comunque possibile aprire il cancello tramite l'immissione di un codice segreto. 

All'installazione viene utilizzata una modalità speciale che permette all'utente di scegliere tra le reti WiFi disponibili quella con cui verrà configurato il citofono da quel momento in poi. Una volta effettuata questa operazione, il citofono cercherà sempre di riconnettersi a tale WiFi anche in seguito allo spegnimento dello stesso. 

*Link a repo* : https://gitlab.com/alessandro14/progettosistemiembedded (almost done)

*Licenza scelta* : GPLv3

---
### Smart Car 

*Nome Progetto*: John Wick

*Autori*: Boris Coteata, Alex Vecchi

*Descrizione*: Il progetto che abbiamo scelto di presentare riguarda la costruzione di un'auto a 4 ruote con un "armamento" sulla parte superiore dell'auto, l'auto
potrà essere comandata tramite un controller (joystick) che verrà anch'esso costruito da noi e con il quale si potrà anche controllare l'arma.
Inoltre premendo un tasto sul joystick l'auto non riceverà più i comandi dal controller ma inizierà a muoversi verso una direzione, incontrando un ostacolo cercherà di evitarlo proseguendo verso la stessa direzione iniziale oppure cambiandola.
	
*Link a repo*: https://github.com/alexvecchi/SEProject

*Licenza scelta*: GNU GPLv3

---
### SmartBlind

*Autore*: Luca Ghirotto

*Descrizione*: SmartBlind è un controller per tapparelle integrato con la piattafoma HAP (https://developer.apple.com/homekit/) di Apple per l'IoT. Lo scopo del progetto sarebbe il poter controllare il funzionamanto di tapparelle (o tende elettriche) dai dispositivi Apple direttamente dall'applicazione Home, cosi da non dover creare un'App ad-hoc.
Il controller riceverà le istruzioni via WiFi e azionerà un motore bifase per tirare su o giù le tapparelle e controllerà gli eventuali input manuali dell'utente mettendosi a valle degli interruttori a muro e quindi intecettando gli azionamenti degli stessi.

*Repository*: https://github.com/Ghir8/SmartBlind

*Hardware*:
* ESP 32
* 2 Relè da 220V
* 2 Step-down da 220V a 3V

*Licenza scelta*: GPLv3


---
### Telecomando condizionatore WiFi programmabile

*Nome Progetto*: Telecomando ARC433 WiFi

*Autore*: Federico Dossena

*Descrizione*: Creare un dispositivo in grado di controllare un vecchio condizionatore Daikin Inverter ricevendo comandi da un'interfaccia web, oppure eseguendo autonomamente uno script LUA inserito dall'utente nell'interfaccia web

*Hardware*:
* Wemos D1 Mini (ESP8266)
* Emettitore IR 940nm
* RTC
* Sensore BME280 (temperatura, umidità, pressione)
* Transistor, LED, resistenze varie

*Link a repo* : https://github.com/adolfintel/espac (leggermente diverso dalla versione presentata all'esame per togliere alcune parti in italiano. La versione presentata all'esame è disponibile quì: https://fdossena.com/espac/relazione.7z)

*Licenza scelta* : GPLv3

---
### Macchina del Caffè controllabile via WiFi

*Nome Progetto*: CAFFETTino

*Autore*: Andrea Folci

*Descrizione*: Fare un operazione di Reverse Engineering su una macchina del caffè domestica Gaggia Unica per sostituirne il circuito di controllo, aggiungendo un sensore di temperatura e di livello dell'acqua consultabili da Client MQTT.

*Hardware*:
* Wemos D1 Mini (ESP8266)
* Arduino Uno R3
* Termistore TMP36
* Sensore ad Ultrasuoni HC-SR04
* Relè 5V KY-019
* Jumper Wires, Trasformatori 220v -> 24v e 220v -> 5v, Bottoni

*Link a repo* : https://bitbucket.org/andrea_folci/arduino-espresso-machine-controller/src/master/

*Licenza scelta* : GPLv3

---
### Razorback tank

*Nome Progetto*: Razorback tank

*Autore*: Davide Tricella

*Descrizione*: Il progetto consiste in un modellino di un mezzo cingolato controllato tramite Bluetooth, sarà dotato di una certa capacità di muoversi in autonomia, tramite sensore di distanza e bussola. Con comandi inviati da uno smartphone sarà possibile muoverlo direttamente, oppure istruirlo su un percorso da seguire tramite istruzioni in stile "Turtle Graphics".

*Hardware*:
* Arduino Uno R3 con modulo di espansione
* Doppio Driver Motori IRF3205
* Modulo Bluetooth HC-05
* Led vari
* 2 Transistor NPN
* Bussola elettronica GY-271
* Sensore ad ultrasuoni HCSR04
* Modulo MP3 DFMiniPlayer
* Mini Speaker da 3W
* Micro SD

*Link a repo* : https://github.com/dadit97/Razorback-Project (In completamento)

*Licenza scelta* : GPLv3


---
### AiRPianino

*Nome Progetto*: AiRPianino

*Autore*: Luca Garufi

*Descrizione*: AiRPianino è un progetto che simula uno strumento musicale virtuale ispirato a quello del Pianoforte. L'idea è quella di simulare una tastiera virtuale "in aria" attraverso l'utilizzo di 6 anelli, la propria mano e la sensoristica per permettere di suonare fino a 5 note, anche in contemporanea, su una scala preimpostata. Inoltre, con l’uso di un sesto sensore, è possibile agire anche sulla modulazione per apportare modifiche in real time sui filtri del suono. L’hardware usato è composto da: 6 sensori MPU6050, 1 Display LCD 20x4 tramite I2C,  Seriale MIDI.
A livello software, per la comunicazione con le periferiche, si utilizza il protocollo MIDI e attraverso dei calcoli e l’analisi dei valori ricevuti dai sensori, si generano i rispettivi messaggi.

*Link a repo*: https://gitlab.com/sirluke/midi_mpus

*Licenza Scelta*: GPLv3

---
### AirController

*Nome Progetto*: AirController

*Autore*: Valerio Cislaghi

*Descrizione*: AirController è un sistema intelligente di controllo automatico per condizionatori che hanno rotto (o non hanno) un sensore di temperatura (portano la temperatura/umidità a livelli minimi possibili).
La gestione del condizionatore avviene attraverso segnali infrarossi.
AirController riceve in input un indice di calore come target (HUMIDEX) e il suo obbiettivo sarà mantenere costante questo indice.
La gestione del condizionatore si basa su diversi fattori:
- Temperatura/Umidità esterna (chiamate API a openWeather).
- Temperatura/Umidità interna (DHT22/DHT11).
- Numero di persone nella stanza (AM312).

Altri componenti utilizzati:
- 2 diodi a infrarossi a LED (emissione e ricezione).
- Display che mostra la temperatura interna.

Tutti i dati (temperatura, unimdità, indice di calore, conta persone ecc...) saranno inviati ad un server MQTT per la sincronizzazione dei vari ESP8266 e per la raccolta dei dati, per stabilire (attraverso analisi) se effettivamente c'è un risparmio di corrente e di salute.

*Link a repo*: https://github.com/Jaivra/AirController

*Licenza Scelta*: GPLv3

---
### BotTender

Autore: Mario Petruccelli

Descrizione: BotTender è un cocktail maker fatto con arduino che attraverso delle pompe peristaltiche create con dei motori passo-passo nema 17 ti permette di scegliere un drink da una lista predefinita.

La quantità versata viene scelta dall'utente in base a quanti ml di liquido vuole nel suo bicchiere, e il cocktail viene servito rispettando le proporzioni della ricetta.

Link a repo: https://github.com/Mafidyuz/BotTender

Licenza scelta: Creative Commons Attribution 4.0 International



---
### Bluetooth Quadcopter 

Autore: Vladislav Chircu

Descrizione: Il progetto consiste nella realizzazione di un quadrilatero che sarà in grado di restare in equilibrio autonomamente usando un giroscopio e accelerometro. Il controllo del quadrilatero sarà effettuato tramite un applicazione che si collegherà con il drone tramite il blutooth. 

Hardware e materiale utilizzato:

* Arduino nano
* Modulo GY-521 MPU-6050
* DX2205 2300KV Brushless Motor 2CW 2CCW da 2-4S 
* Telaio a forma di x con Interasse: 220mm (Per supporto propelle fino a 5 pollici)
* 4 in 1 50A BLHeli ESC BLHeli 3-6s Supporto Lipo 
* Modulo Bluetooth hc 06
* Millefori 
* 4 Eliche da 5'
* Vari piedini maschio e femmina
* Batteria LiPo 14.8V 4S 1300mAh
* Condensatore da 470uF

*Link a repo* : https://gitlab.com/vladinc/bluetooth-drone

*Licenza scelta* : GPLv3



---
### The annoying alarm

*Nome Progetto*: The annoying alarm

*Autore*: Davide Rusconi

*Descrizione*: Il progetto consiste in una sveglia fatta a forma di macchina che, all'orario impostato dall'utente, si attiva ed inizia a muoversi in maniera autonoma all'interno dell'ambiente in cui è inserita evitando eventuali ostacoli che incontra.

*Link a repo*: https://github.com/psiquo/the-annoying-alarm

*Licenza Scelta*: GPLv3


---
### Arduino Robotic Hand

*Nome Progetto*: Arduino Robotic Hand

*Autore*: Matteo Cucchi

*Descrizione*: Il progetto consiste nella creazione di una mano meccanica in grado di mimare i movimenti compiuti dalla mano dell'utilizzatore mediante l'utilizzo di un guanto munito di sensori in grado di captare la flessione di ogni dito.

*Hardware*:
* Arduino Uno
* 5 sensori di flessione 4,5"
* 5 resistenze 10KΩ
* 5 servomotori MG995
* 2 connettori RJ45 (femmina)
* 1 cavo RJ45
* 1 breadboard
* 1 basetta millefori

*Link a repo* : https://gitlab.di.unimi.it/matteo.cucchi1/arduino-robotic-hand (In Allestimento: verra' modificato e riempito in fase di sviluppo)

*Licenza scelta* : GPLv3

---
### Automated Fan

Autore: Priscilla Scavo

Descrizione: Il progetto consiste nell’usare un servomotore che fa ruotare una ventola a seconda della posizione della persona che vi sta davanti. 
Il rilevamento della persona avviene attraverso il sensore HC-SR04, quando la distanza non verrà più rilevata significa che la persona si è spostata e allora il servomotore girerà finchè non la rileverà nuovamente. 
Oppure la posizione del braccio del servomotore può essere cambiata utilizzando un joystick. La potenza della ventola può essere impostata scegliendo tra tre modalità: bassa(3V), media(4V), alta(5V). 
Possono essere attivate due modalità aggiuntive: automatica (La velocità della ventola varia a seconda della temperatura nella stanza; la temperatura viene rilevata utilizzando il modulo GY-521 con comunicazione I2C) e da remoto (monitor seriale).

Hardware utilizzato:

  * Arduino UNO
  * 3 pulsanti
  * Motore DC da 3-6V
  * Servomotore microservo
  * Modulo HC-SR04
  * Batteria 9V
  * Joystick module
  * LCD1602 Module
  * GY-521

Link a repo:https://github.com/PriscillaScavo/Automated_Fan

Licenza scelta: Creative Commons Attribution 4.0 International

---
### TV Remote

Autore: Marco Cutecchia  

Descrizione: Un telecomando TV che, oltre alle funzionalità base, aggiunge:  
    - Un timer di spegnimento TV  
    - Un sistema di macro per ripetere azioni fatte da un altro telecomando infrarossi  
    - Traccia dati sull'utilizzo del telecomando e li manda via MQTT ad un server locale, oppure li salva su una scheda SD  
    - Comandi attivati con il movimento  

Link a repo: https://github.com/mrkct/tv-remote  

Licenza scelta: MIT  

---
### you-would-never-hack-a-car

Autore: Luigi Foscari

Descrizione: Si vuole creare un dispositivo in grado di prelevare informazioni da una macchina e di mostrarle all'utente. Un ELM327 collegato tramite OBD-II fornisce i dati del veicolo. Un giroscopio e accelerometro MPU6050 fornisce l'inclinazione laterale e frontale del veicolo. Un ESP32 legge i dati dai sensori tramite Bluetooth genera su Wi-Fi AP un web server, tramite il quale l'utente può accedere ad una dashboard costruita con Vue.js che sfrutta un canale socket con l'ESP32.

**Hardware:**

- ESP32
- ELM327
- MPU6050

https://github.com/lfoscari/you-would-never-hack-a-car

Licenza: MIT


---
### Lettore di Schede Perforate

Autore: Alberto Ossola

Email: alberto.ossola1@studenti.unimi.it

Descrizione: Lettore di schede perforate di tipo IBM 5081. La scheda viene fatta scorrere all'interno del lettore da un motore passo-passo. I fori sono letti da un sensore ottico composto da due parti: un array di 12 LED (uno per riga della scheda) e un array di 12 fotodiodi posti di fronte ai LED. Le due parti del sensore sono posizionate in modo tale da puntare l'una verso l'altra, facendo sì che la scheda possa scorrere tra ad esse durante la lettura. Il lettore viene controllato attraverso un Arduino Leonardo. I dati letti vengono inviati ad un host attraverso porta seriale USB. Il microcontrollore offre inoltre una routine per la calibrazione del sensore e del motore.

Hardware:
- Arduino Leonardo
- 12 x LED indirizzabili PL8923-F8
- 12 x LED IR 5MM
- Driver passo-passo A4988 
- Motore passo-passo Nema 17 
- Amplificatore Operazionale TLC27M4AIN
- Componenti passivi (Reistori, Condensatori, Diodi, Potenziometri)
- Componenti meccanici (Barre filettate, pulegge, cinghie, etc.)

Link a repo: https://gitlab.di.unimi.it/alberto.ossola1/punchedcardreader

Licenza scelta: GPL v3



---
### BoxDuino

Autore: Andrea Perego

Descrizione: BoxDuino è una scatola la quale è protetta da un meccanismo di protezione, per poter accedere ad essa è necessario comporre una combinazione su un sensore di pressione, se la combinazione è esatta, uno stepper motor aprirà la scatola alla giusta angolazione regolando l'apertura tramite un sensore a ultrasuoni che se ostacolato cercherà comunque di  portare a termine l'apertura o abortirà il tentativo. Una volta aperta la scatola può essere chiusa con un bottone in modo automatico. 

Hardware (indicativo):
- ELEGOO UNO R3
- Sensore di Pressione (Akozon DF9-40)
- Stepper Motor (28BYJ-48)
- Ultrasuoni (HC-SR04)
- Bottone 
- Vari Led
- Varie Resistenze (2k ohm e 10k ohm)

Link a repo: https://github.com/pegAndre/BoxDuino  (in completamento)

Licenza scelta: GPLv3


---
### Nipkow Disk revisited using ESP8266

Autore: Mirco Menegat

Descrizione: Rivisitazione del disco di Nipkow usando Esp8266 per riprodurre scritte/immagini/piccoli filmati.
             Un disco con n fori a spirale gira velocemente grazie ad un motore DC, dietro al disco un led si 
             accende e si spegne con delle tempistiche tali per cui lo spettatore davanti al disco vede delle immagini. 

Link a repo: https://github.com/Mirco-Menegat/Nipkow-Disk-Esp8266

Licenza scelta: Gnu General Public License v3.0



---
### Access Move

Autore: Victoria Sheng

Descrizione: il progetto consiste in una porta (simulata da un'asticella mossa da un motore stepper ) apribile tramite dei codici di movimento (ad esempio avanti, indietro, avanti) effettuati dall'utente davanti a un sensore che li rileva. Se viene riconosciuto il codice di movimenti, allora la porta si apre e l'accesso è consentito.

Hardware (indicativo):

- ESP8266
- Elegoo UNO R3
- Stepper motor 28BYJ-48
- Sensore a ultrasuoni  HC-SR04
- Batteria 9V
- Led

Link a repo: https://gitlab.com/Artinfivy/access-move.git (in aggiornamento)

Licenza scelta: GPLv3

---
### Scacchiera Smart

Autore: Riccardo Conforto Galli

Descrizione: Il progetto ha come obiettivo la realizzazione di una scacchiera dove ogni casella e' dotata di reed magnetici per rilevare la presenza di pedine e un led per segnalare lo stato attuale del gioco.

La scacchiera permette di caricare giochi sotto forma di librerie e di selezionare all'avvio quello da eseguire tramite uno schermo LCD e due pulsanti.

Hardware:
* Arduino UNO
* 64 reed magnetici
* 64 addressable RGB led
* 8 shift register PISO
* LCD display
* 2 pulsanti

[Link a repo](https://github.com/prometheus404/smart_chessboard)

Licenza scelta: GPLv3


---
### Igienizzante Automatico

Autore: Alessandro Fabio Farè

Descrizione: Il progetto ha come obiettivo la realizzazione di un distributore automatico di igienizzante per le mani e di un tracker di casi positivi e morti di Coronavirus in Italia.
E' stato utilizzato un sensore a ultrasuoni per calcolare la distanza tra le mani e il sensore stesso, in modo da far azionare un modulo relè che attiverà una mini pompa per far fuoriuscire l'igienizzante automatico ogni qual volta la distanza calcolata dal sensore sarà inferiore o uguale a 15 cm.
In contemporanea ESP32, tramite il modulo Wifi 802.11, invocherà una richiesta HTTP GET per leggere il contenuto di un file JSON che contiene i dati sull'andamento del Covid19 in Italia.

Hardware:

- ESP32
- Sensore a ultrasuoni HC-SR04
- LCD 16x2
- Mini pompa dell'acqua DC 3-6V
- Modulo relè 5v
- Igienizzante per mani
- Contenitore per l'igienizzante
 
Link a repo: https://github.com/AlessandroFare/Igienizzante-Automatico

Licenza scelta: GNU General Public License v3.0

---
### Acquar-ino

Autore: Federico Zenatti

E-mail: federico.zenatti@studenti.unimi.it

Descrizione: Il progetto Acquarino consiste in un acquario controllato via MQTT(Server Locale alla rete ) e tramite un bot Telegram.E' stato scelto questo progetto per motivi di necessità in quanto avevo bisogno di un modo per controllare l'acquario da remoto. Tramite dei comandi è possibile Somministrare del cibo ai pesci , accendere e spegnere luci e areatore , vedere in tempo reale PH, temperatura e livello dell'acqua. Oltre ad essere comandabili , le luci e la mangiatoia saranno automatiche. Il livello dell'acqua è mantenuto costante grazie ad una pompa che prende l'acqua da una tanica e la inserisce all'interno della vasca fino a che il livello non raggiunge quello prestabilito.

Hardware:
- Esp8266
- Arduino Uno
- Sensore PH
- Sonda DS18B20
- Resistenza da 4.7 kohm
- Sensore livello Acqua
- 3x relay 5V
- Servo motore modificato per rotazione continua
- Cavetti Dupont
- modulo RTC
- Millefori in quanto il sistema verrà utilizzato per la gestione effettiva dell'acquario
- Modulo stepDown
- Ventola 12V
- Pompa per regolazione del livello dell' acqua

Link a repo: https://github.com/federico-zen/Acquar-ino

Licenza scelta: GPLv3


---
### Light Seeker

Autore: Marco Hazan

Descrizione: LightSeeker è una macchinina che una volta accesa cerca di muoversi nel posto più luminoso possibile.
Quando decide che secondo lei il posto in cui si trova è il più luminoso di tutti si ferma. In questo modo è possibile 'telecomandare' LightSeeker utilizzando per esempio una torcia oppure fargli percorrere delle piste di luce.
Per orientarsi utilizza due braccia con installate sopra due fotoresistenze e per evitare gli ostacoli utilizza un sensore ad ultrasuoni.
Per trovare la luce va anche a tentativi con la possibilità di aver trovato la strada giusta, oppure dover tornare indietro. 
E' in programma anche quello di comunicare con LightSeeker via MQTT e impostargli un 'goal', ovvero una percentuale di crescita di luce richiesta, e un timer. 
Fino a che non verifica il goal continua a cercare fino a che scatta il timer impostato.

Componenti  utilizzati:
- ESP8266
- 4 motoriduttori DC (3-6 V)
- 1 ponte h (modulo L298N)
- 2 fotoresistenze
- 1 sensore a ultra suoni (HC-SR04)
- Una batteria da 12V

Link a repo: https://github.com/MarcoHazan/LightSeeker

Licenza utilizzata: GPLv3

---
### Radiogoniometro
Autore: Giacomo Coluccelli

Descrizione:
Il progetto mira a creare un dispositivo in grado di rilevare la
direzione di un wifi AP basandosi sull'intensità del segnale emesso.

Utilizza due esp32-WROOM come antenne ad una distanza di circa mezzo
metro tra loro. Posizionate sopra un servo-motore, possono compiere
una rotazione di 180 gradi fino ad allinearsi con la sorgente WiFi.

Link a repo: https://gitlab.di.unimi.it/giacomo.coluccelli/radiogoniometro

Licenza scelta: [MIT](https://gitlab.di.unimi.it/giacomo.coluccelli/radiogoniometro/-/blob/main/LICENSE)

Data indicativa di presentazione: Agosto 2023
